#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 495
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 143
#define ALIAS_COUNT 0
#define TOKEN_COUNT 74
#define EXTERNAL_TOKEN_COUNT 11
#define FIELD_COUNT 2
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 5

enum ts_symbol_identifiers {
  sym_Name = 1,
  anon_sym_LT_QMARK = 2,
  anon_sym_xml = 3,
  anon_sym_QMARK_GT = 4,
  anon_sym_standalone = 5,
  anon_sym_SQUOTE = 6,
  anon_sym_yes = 7,
  anon_sym_no = 8,
  anon_sym_DQUOTE = 9,
  anon_sym_LT_BANG = 10,
  anon_sym_DOCTYPE = 11,
  anon_sym_LBRACK = 12,
  anon_sym_RBRACK = 13,
  anon_sym_GT = 14,
  anon_sym_LT = 15,
  anon_sym_SLASH_GT = 16,
  anon_sym_LT_SLASH = 17,
  anon_sym_RBRACK_RBRACK_GT = 18,
  anon_sym_LT_BANG_LBRACK = 19,
  anon_sym_CDATA = 20,
  anon_sym_xml_DASHstylesheet = 21,
  anon_sym_xml_DASHmodel = 22,
  aux_sym_PseudoAttValue_token1 = 23,
  aux_sym_PseudoAttValue_token2 = 24,
  anon_sym_ELEMENT = 25,
  anon_sym_EMPTY = 26,
  anon_sym_ANY = 27,
  anon_sym_LPAREN = 28,
  anon_sym_POUNDPCDATA = 29,
  anon_sym_PIPE = 30,
  anon_sym_RPAREN = 31,
  anon_sym_STAR = 32,
  anon_sym_QMARK = 33,
  anon_sym_PLUS = 34,
  anon_sym_COMMA = 35,
  anon_sym_ATTLIST = 36,
  sym_TokenizedType = 37,
  anon_sym_NOTATION = 38,
  anon_sym_POUNDREQUIRED = 39,
  anon_sym_POUNDIMPLIED = 40,
  anon_sym_POUNDFIXED = 41,
  anon_sym_ENTITY = 42,
  anon_sym_PERCENT = 43,
  aux_sym_EntityValue_token1 = 44,
  aux_sym_EntityValue_token2 = 45,
  anon_sym_NDATA = 46,
  anon_sym_SEMI = 47,
  sym__S = 48,
  sym_Nmtoken = 49,
  anon_sym_AMP = 50,
  anon_sym_AMP_POUND = 51,
  aux_sym_CharRef_token1 = 52,
  anon_sym_AMP_POUNDx = 53,
  aux_sym_CharRef_token2 = 54,
  anon_sym_SYSTEM = 55,
  anon_sym_PUBLIC = 56,
  aux_sym_SystemLiteral_token1 = 57,
  aux_sym_SystemLiteral_token2 = 58,
  aux_sym_PubidLiteral_token1 = 59,
  aux_sym_PubidLiteral_token2 = 60,
  anon_sym_version = 61,
  sym_VersionNum = 62,
  anon_sym_encoding = 63,
  sym_EncName = 64,
  anon_sym_EQ = 65,
  sym_PITarget = 66,
  sym__pi_content = 67,
  sym_Comment = 68,
  sym_CharData = 69,
  sym_CData = 70,
  sym__start_tag_name = 71,
  sym__end_tag_name = 72,
  sym__erroneous_end_name = 73,
  sym_document = 74,
  sym_prolog = 75,
  sym__Misc = 76,
  sym_XMLDecl = 77,
  sym__SDDecl = 78,
  sym_doctypedecl = 79,
  aux_sym__intSubset = 80,
  sym_element = 81,
  sym_EmptyElemTag = 82,
  sym_Attribute = 83,
  sym_STag = 84,
  sym_ETag = 85,
  sym_content = 86,
  sym_CDSect = 87,
  sym_CDStart = 88,
  sym_StyleSheetPI = 89,
  sym_XmlModelPI = 90,
  sym_PseudoAtt = 91,
  sym_PseudoAttValue = 92,
  sym__markupdecl = 93,
  sym__DeclSep = 94,
  sym_elementdecl = 95,
  sym_contentspec = 96,
  sym_Mixed = 97,
  sym_children = 98,
  sym__cp = 99,
  sym__choice = 100,
  sym_AttlistDecl = 101,
  sym_AttDef = 102,
  sym__AttType = 103,
  sym_StringType = 104,
  sym__EnumeratedType = 105,
  sym_NotationType = 106,
  sym_Enumeration = 107,
  sym_DefaultDecl = 108,
  sym__EntityDecl = 109,
  sym_GEDecl = 110,
  sym_PEDecl = 111,
  sym_EntityValue = 112,
  sym_NDataDecl = 113,
  sym_NotationDecl = 114,
  sym_PEReference = 115,
  sym__Reference = 116,
  sym_EntityRef = 117,
  sym_CharRef = 118,
  sym_AttValue = 119,
  sym_ExternalID = 120,
  sym_PublicID = 121,
  sym_SystemLiteral = 122,
  sym_PubidLiteral = 123,
  sym__VersionInfo = 124,
  sym__EncodingDecl = 125,
  sym_PI = 126,
  sym__Eq = 127,
  aux_sym_document_repeat1 = 128,
  aux_sym_EmptyElemTag_repeat1 = 129,
  aux_sym_content_repeat1 = 130,
  aux_sym_StyleSheetPI_repeat1 = 131,
  aux_sym_PseudoAttValue_repeat1 = 132,
  aux_sym_PseudoAttValue_repeat2 = 133,
  aux_sym_Mixed_repeat1 = 134,
  aux_sym_Mixed_repeat2 = 135,
  aux_sym__choice_repeat1 = 136,
  aux_sym__choice_repeat2 = 137,
  aux_sym_AttlistDecl_repeat1 = 138,
  aux_sym_NotationType_repeat1 = 139,
  aux_sym_Enumeration_repeat1 = 140,
  aux_sym_EntityValue_repeat1 = 141,
  aux_sym_EntityValue_repeat2 = 142,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_Name] = "Name",
  [anon_sym_LT_QMARK] = "<\?",
  [anon_sym_xml] = "xml",
  [anon_sym_QMARK_GT] = "\?>",
  [anon_sym_standalone] = "standalone",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_yes] = "yes",
  [anon_sym_no] = "no",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_LT_BANG] = "<!",
  [anon_sym_DOCTYPE] = "DOCTYPE",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [anon_sym_LT_BANG_LBRACK] = "<![",
  [anon_sym_CDATA] = "CDATA",
  [anon_sym_xml_DASHstylesheet] = "xml-stylesheet",
  [anon_sym_xml_DASHmodel] = "xml-model",
  [aux_sym_PseudoAttValue_token1] = "PseudoAttValue_token1",
  [aux_sym_PseudoAttValue_token2] = "PseudoAttValue_token2",
  [anon_sym_ELEMENT] = "ELEMENT",
  [anon_sym_EMPTY] = "EMPTY",
  [anon_sym_ANY] = "ANY",
  [anon_sym_LPAREN] = "(",
  [anon_sym_POUNDPCDATA] = "#PCDATA",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_STAR] = "*",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_ATTLIST] = "ATTLIST",
  [sym_TokenizedType] = "TokenizedType",
  [anon_sym_NOTATION] = "NOTATION",
  [anon_sym_POUNDREQUIRED] = "#REQUIRED",
  [anon_sym_POUNDIMPLIED] = "#IMPLIED",
  [anon_sym_POUNDFIXED] = "#FIXED",
  [anon_sym_ENTITY] = "ENTITY",
  [anon_sym_PERCENT] = "%",
  [aux_sym_EntityValue_token1] = "EntityValue_token1",
  [aux_sym_EntityValue_token2] = "EntityValue_token2",
  [anon_sym_NDATA] = "NDATA",
  [anon_sym_SEMI] = ";",
  [sym__S] = "_S",
  [sym_Nmtoken] = "Nmtoken",
  [anon_sym_AMP] = "&",
  [anon_sym_AMP_POUND] = "&#",
  [aux_sym_CharRef_token1] = "CharRef_token1",
  [anon_sym_AMP_POUNDx] = "&#x",
  [aux_sym_CharRef_token2] = "CharRef_token2",
  [anon_sym_SYSTEM] = "SYSTEM",
  [anon_sym_PUBLIC] = "PUBLIC",
  [aux_sym_SystemLiteral_token1] = "URI",
  [aux_sym_SystemLiteral_token2] = "URI",
  [aux_sym_PubidLiteral_token1] = "PubidLiteral_token1",
  [aux_sym_PubidLiteral_token2] = "PubidLiteral_token2",
  [anon_sym_version] = "version",
  [sym_VersionNum] = "VersionNum",
  [anon_sym_encoding] = "encoding",
  [sym_EncName] = "EncName",
  [anon_sym_EQ] = "=",
  [sym_PITarget] = "PITarget",
  [sym__pi_content] = "_pi_content",
  [sym_Comment] = "Comment",
  [sym_CharData] = "CharData",
  [sym_CData] = "CData",
  [sym__start_tag_name] = "Name",
  [sym__end_tag_name] = "Name",
  [sym__erroneous_end_name] = "_erroneous_end_name",
  [sym_document] = "document",
  [sym_prolog] = "prolog",
  [sym__Misc] = "_Misc",
  [sym_XMLDecl] = "XMLDecl",
  [sym__SDDecl] = "_SDDecl",
  [sym_doctypedecl] = "doctypedecl",
  [aux_sym__intSubset] = "_intSubset",
  [sym_element] = "element",
  [sym_EmptyElemTag] = "EmptyElemTag",
  [sym_Attribute] = "Attribute",
  [sym_STag] = "STag",
  [sym_ETag] = "ETag",
  [sym_content] = "content",
  [sym_CDSect] = "CDSect",
  [sym_CDStart] = "CDStart",
  [sym_StyleSheetPI] = "StyleSheetPI",
  [sym_XmlModelPI] = "XmlModelPI",
  [sym_PseudoAtt] = "PseudoAtt",
  [sym_PseudoAttValue] = "PseudoAttValue",
  [sym__markupdecl] = "_markupdecl",
  [sym__DeclSep] = "_DeclSep",
  [sym_elementdecl] = "elementdecl",
  [sym_contentspec] = "contentspec",
  [sym_Mixed] = "Mixed",
  [sym_children] = "children",
  [sym__cp] = "_cp",
  [sym__choice] = "_choice",
  [sym_AttlistDecl] = "AttlistDecl",
  [sym_AttDef] = "AttDef",
  [sym__AttType] = "_AttType",
  [sym_StringType] = "StringType",
  [sym__EnumeratedType] = "_EnumeratedType",
  [sym_NotationType] = "NotationType",
  [sym_Enumeration] = "Enumeration",
  [sym_DefaultDecl] = "DefaultDecl",
  [sym__EntityDecl] = "_EntityDecl",
  [sym_GEDecl] = "GEDecl",
  [sym_PEDecl] = "PEDecl",
  [sym_EntityValue] = "EntityValue",
  [sym_NDataDecl] = "NDataDecl",
  [sym_NotationDecl] = "NotationDecl",
  [sym_PEReference] = "PEReference",
  [sym__Reference] = "_Reference",
  [sym_EntityRef] = "EntityRef",
  [sym_CharRef] = "CharRef",
  [sym_AttValue] = "AttValue",
  [sym_ExternalID] = "ExternalID",
  [sym_PublicID] = "PublicID",
  [sym_SystemLiteral] = "SystemLiteral",
  [sym_PubidLiteral] = "PubidLiteral",
  [sym__VersionInfo] = "_VersionInfo",
  [sym__EncodingDecl] = "_EncodingDecl",
  [sym_PI] = "PI",
  [sym__Eq] = "_Eq",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_EmptyElemTag_repeat1] = "EmptyElemTag_repeat1",
  [aux_sym_content_repeat1] = "content_repeat1",
  [aux_sym_StyleSheetPI_repeat1] = "StyleSheetPI_repeat1",
  [aux_sym_PseudoAttValue_repeat1] = "PseudoAttValue_repeat1",
  [aux_sym_PseudoAttValue_repeat2] = "PseudoAttValue_repeat2",
  [aux_sym_Mixed_repeat1] = "Mixed_repeat1",
  [aux_sym_Mixed_repeat2] = "Mixed_repeat2",
  [aux_sym__choice_repeat1] = "_choice_repeat1",
  [aux_sym__choice_repeat2] = "_choice_repeat2",
  [aux_sym_AttlistDecl_repeat1] = "AttlistDecl_repeat1",
  [aux_sym_NotationType_repeat1] = "NotationType_repeat1",
  [aux_sym_Enumeration_repeat1] = "Enumeration_repeat1",
  [aux_sym_EntityValue_repeat1] = "EntityValue_repeat1",
  [aux_sym_EntityValue_repeat2] = "EntityValue_repeat2",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_Name] = sym_Name,
  [anon_sym_LT_QMARK] = anon_sym_LT_QMARK,
  [anon_sym_xml] = anon_sym_xml,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [anon_sym_standalone] = anon_sym_standalone,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_yes] = anon_sym_yes,
  [anon_sym_no] = anon_sym_no,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [anon_sym_DOCTYPE] = anon_sym_DOCTYPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [anon_sym_LT_BANG_LBRACK] = anon_sym_LT_BANG_LBRACK,
  [anon_sym_CDATA] = anon_sym_CDATA,
  [anon_sym_xml_DASHstylesheet] = anon_sym_xml_DASHstylesheet,
  [anon_sym_xml_DASHmodel] = anon_sym_xml_DASHmodel,
  [aux_sym_PseudoAttValue_token1] = aux_sym_PseudoAttValue_token1,
  [aux_sym_PseudoAttValue_token2] = aux_sym_PseudoAttValue_token2,
  [anon_sym_ELEMENT] = anon_sym_ELEMENT,
  [anon_sym_EMPTY] = anon_sym_EMPTY,
  [anon_sym_ANY] = anon_sym_ANY,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_POUNDPCDATA] = anon_sym_POUNDPCDATA,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_ATTLIST] = anon_sym_ATTLIST,
  [sym_TokenizedType] = sym_TokenizedType,
  [anon_sym_NOTATION] = anon_sym_NOTATION,
  [anon_sym_POUNDREQUIRED] = anon_sym_POUNDREQUIRED,
  [anon_sym_POUNDIMPLIED] = anon_sym_POUNDIMPLIED,
  [anon_sym_POUNDFIXED] = anon_sym_POUNDFIXED,
  [anon_sym_ENTITY] = anon_sym_ENTITY,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_EntityValue_token1] = aux_sym_EntityValue_token1,
  [aux_sym_EntityValue_token2] = aux_sym_EntityValue_token2,
  [anon_sym_NDATA] = anon_sym_NDATA,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym__S] = sym__S,
  [sym_Nmtoken] = sym_Nmtoken,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_AMP_POUND] = anon_sym_AMP_POUND,
  [aux_sym_CharRef_token1] = aux_sym_CharRef_token1,
  [anon_sym_AMP_POUNDx] = anon_sym_AMP_POUNDx,
  [aux_sym_CharRef_token2] = aux_sym_CharRef_token2,
  [anon_sym_SYSTEM] = anon_sym_SYSTEM,
  [anon_sym_PUBLIC] = anon_sym_PUBLIC,
  [aux_sym_SystemLiteral_token1] = aux_sym_SystemLiteral_token1,
  [aux_sym_SystemLiteral_token2] = aux_sym_SystemLiteral_token1,
  [aux_sym_PubidLiteral_token1] = aux_sym_PubidLiteral_token1,
  [aux_sym_PubidLiteral_token2] = aux_sym_PubidLiteral_token2,
  [anon_sym_version] = anon_sym_version,
  [sym_VersionNum] = sym_VersionNum,
  [anon_sym_encoding] = anon_sym_encoding,
  [sym_EncName] = sym_EncName,
  [anon_sym_EQ] = anon_sym_EQ,
  [sym_PITarget] = sym_PITarget,
  [sym__pi_content] = sym__pi_content,
  [sym_Comment] = sym_Comment,
  [sym_CharData] = sym_CharData,
  [sym_CData] = sym_CData,
  [sym__start_tag_name] = sym_Name,
  [sym__end_tag_name] = sym_Name,
  [sym__erroneous_end_name] = sym__erroneous_end_name,
  [sym_document] = sym_document,
  [sym_prolog] = sym_prolog,
  [sym__Misc] = sym__Misc,
  [sym_XMLDecl] = sym_XMLDecl,
  [sym__SDDecl] = sym__SDDecl,
  [sym_doctypedecl] = sym_doctypedecl,
  [aux_sym__intSubset] = aux_sym__intSubset,
  [sym_element] = sym_element,
  [sym_EmptyElemTag] = sym_EmptyElemTag,
  [sym_Attribute] = sym_Attribute,
  [sym_STag] = sym_STag,
  [sym_ETag] = sym_ETag,
  [sym_content] = sym_content,
  [sym_CDSect] = sym_CDSect,
  [sym_CDStart] = sym_CDStart,
  [sym_StyleSheetPI] = sym_StyleSheetPI,
  [sym_XmlModelPI] = sym_XmlModelPI,
  [sym_PseudoAtt] = sym_PseudoAtt,
  [sym_PseudoAttValue] = sym_PseudoAttValue,
  [sym__markupdecl] = sym__markupdecl,
  [sym__DeclSep] = sym__DeclSep,
  [sym_elementdecl] = sym_elementdecl,
  [sym_contentspec] = sym_contentspec,
  [sym_Mixed] = sym_Mixed,
  [sym_children] = sym_children,
  [sym__cp] = sym__cp,
  [sym__choice] = sym__choice,
  [sym_AttlistDecl] = sym_AttlistDecl,
  [sym_AttDef] = sym_AttDef,
  [sym__AttType] = sym__AttType,
  [sym_StringType] = sym_StringType,
  [sym__EnumeratedType] = sym__EnumeratedType,
  [sym_NotationType] = sym_NotationType,
  [sym_Enumeration] = sym_Enumeration,
  [sym_DefaultDecl] = sym_DefaultDecl,
  [sym__EntityDecl] = sym__EntityDecl,
  [sym_GEDecl] = sym_GEDecl,
  [sym_PEDecl] = sym_PEDecl,
  [sym_EntityValue] = sym_EntityValue,
  [sym_NDataDecl] = sym_NDataDecl,
  [sym_NotationDecl] = sym_NotationDecl,
  [sym_PEReference] = sym_PEReference,
  [sym__Reference] = sym__Reference,
  [sym_EntityRef] = sym_EntityRef,
  [sym_CharRef] = sym_CharRef,
  [sym_AttValue] = sym_AttValue,
  [sym_ExternalID] = sym_ExternalID,
  [sym_PublicID] = sym_PublicID,
  [sym_SystemLiteral] = sym_SystemLiteral,
  [sym_PubidLiteral] = sym_PubidLiteral,
  [sym__VersionInfo] = sym__VersionInfo,
  [sym__EncodingDecl] = sym__EncodingDecl,
  [sym_PI] = sym_PI,
  [sym__Eq] = sym__Eq,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_EmptyElemTag_repeat1] = aux_sym_EmptyElemTag_repeat1,
  [aux_sym_content_repeat1] = aux_sym_content_repeat1,
  [aux_sym_StyleSheetPI_repeat1] = aux_sym_StyleSheetPI_repeat1,
  [aux_sym_PseudoAttValue_repeat1] = aux_sym_PseudoAttValue_repeat1,
  [aux_sym_PseudoAttValue_repeat2] = aux_sym_PseudoAttValue_repeat2,
  [aux_sym_Mixed_repeat1] = aux_sym_Mixed_repeat1,
  [aux_sym_Mixed_repeat2] = aux_sym_Mixed_repeat2,
  [aux_sym__choice_repeat1] = aux_sym__choice_repeat1,
  [aux_sym__choice_repeat2] = aux_sym__choice_repeat2,
  [aux_sym_AttlistDecl_repeat1] = aux_sym_AttlistDecl_repeat1,
  [aux_sym_NotationType_repeat1] = aux_sym_NotationType_repeat1,
  [aux_sym_Enumeration_repeat1] = aux_sym_Enumeration_repeat1,
  [aux_sym_EntityValue_repeat1] = aux_sym_EntityValue_repeat1,
  [aux_sym_EntityValue_repeat2] = aux_sym_EntityValue_repeat2,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_Name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_standalone] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOCTYPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_BANG_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml_DASHstylesheet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml_DASHmodel] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_PseudoAttValue_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PseudoAttValue_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_ELEMENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EMPTY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ANY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDPCDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATTLIST] = {
    .visible = true,
    .named = false,
  },
  [sym_TokenizedType] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NOTATION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDREQUIRED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDIMPLIED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDFIXED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ENTITY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_EntityValue_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_NDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym__S] = {
    .visible = false,
    .named = true,
  },
  [sym_Nmtoken] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_POUND] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CharRef_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AMP_POUNDx] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CharRef_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SYSTEM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PUBLIC] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SystemLiteral_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_SystemLiteral_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_PubidLiteral_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PubidLiteral_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_version] = {
    .visible = true,
    .named = false,
  },
  [sym_VersionNum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [sym_EncName] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym_PITarget] = {
    .visible = true,
    .named = true,
  },
  [sym__pi_content] = {
    .visible = false,
    .named = true,
  },
  [sym_Comment] = {
    .visible = true,
    .named = true,
  },
  [sym_CharData] = {
    .visible = true,
    .named = true,
  },
  [sym_CData] = {
    .visible = true,
    .named = true,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__erroneous_end_name] = {
    .visible = false,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_prolog] = {
    .visible = true,
    .named = true,
  },
  [sym__Misc] = {
    .visible = false,
    .named = true,
  },
  [sym_XMLDecl] = {
    .visible = true,
    .named = true,
  },
  [sym__SDDecl] = {
    .visible = false,
    .named = true,
  },
  [sym_doctypedecl] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__intSubset] = {
    .visible = false,
    .named = false,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_EmptyElemTag] = {
    .visible = true,
    .named = true,
  },
  [sym_Attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_STag] = {
    .visible = true,
    .named = true,
  },
  [sym_ETag] = {
    .visible = true,
    .named = true,
  },
  [sym_content] = {
    .visible = true,
    .named = true,
  },
  [sym_CDSect] = {
    .visible = true,
    .named = true,
  },
  [sym_CDStart] = {
    .visible = true,
    .named = true,
  },
  [sym_StyleSheetPI] = {
    .visible = true,
    .named = true,
  },
  [sym_XmlModelPI] = {
    .visible = true,
    .named = true,
  },
  [sym_PseudoAtt] = {
    .visible = true,
    .named = true,
  },
  [sym_PseudoAttValue] = {
    .visible = true,
    .named = true,
  },
  [sym__markupdecl] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__DeclSep] = {
    .visible = false,
    .named = true,
  },
  [sym_elementdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_contentspec] = {
    .visible = true,
    .named = true,
  },
  [sym_Mixed] = {
    .visible = true,
    .named = true,
  },
  [sym_children] = {
    .visible = true,
    .named = true,
  },
  [sym__cp] = {
    .visible = false,
    .named = true,
  },
  [sym__choice] = {
    .visible = false,
    .named = true,
  },
  [sym_AttlistDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_AttDef] = {
    .visible = true,
    .named = true,
  },
  [sym__AttType] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_StringType] = {
    .visible = true,
    .named = true,
  },
  [sym__EnumeratedType] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_NotationType] = {
    .visible = true,
    .named = true,
  },
  [sym_Enumeration] = {
    .visible = true,
    .named = true,
  },
  [sym_DefaultDecl] = {
    .visible = true,
    .named = true,
  },
  [sym__EntityDecl] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_GEDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_PEDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_EntityValue] = {
    .visible = true,
    .named = true,
  },
  [sym_NDataDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_NotationDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_PEReference] = {
    .visible = true,
    .named = true,
  },
  [sym__Reference] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_EntityRef] = {
    .visible = true,
    .named = true,
  },
  [sym_CharRef] = {
    .visible = true,
    .named = true,
  },
  [sym_AttValue] = {
    .visible = true,
    .named = true,
  },
  [sym_ExternalID] = {
    .visible = true,
    .named = true,
  },
  [sym_PublicID] = {
    .visible = true,
    .named = true,
  },
  [sym_SystemLiteral] = {
    .visible = true,
    .named = true,
  },
  [sym_PubidLiteral] = {
    .visible = true,
    .named = true,
  },
  [sym__VersionInfo] = {
    .visible = false,
    .named = true,
  },
  [sym__EncodingDecl] = {
    .visible = false,
    .named = true,
  },
  [sym_PI] = {
    .visible = true,
    .named = true,
  },
  [sym__Eq] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EmptyElemTag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_StyleSheetPI_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PseudoAttValue_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PseudoAttValue_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Mixed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Mixed_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__choice_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__choice_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttlistDecl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_NotationType_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Enumeration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_repeat2] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_content = 1,
  field_root = 2,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_content] = "content",
  [field_root] = "root",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_root, 0},
  [1] =
    {field_root, 1},
  [2] =
    {field_root, 2},
  [3] =
    {field_content, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 44,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 81,
  [83] = 60,
  [84] = 43,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 80,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 72,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 77,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 34,
  [121] = 56,
  [122] = 55,
  [123] = 56,
  [124] = 34,
  [125] = 80,
  [126] = 55,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 34,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 80,
  [143] = 143,
  [144] = 55,
  [145] = 56,
  [146] = 146,
  [147] = 147,
  [148] = 80,
  [149] = 55,
  [150] = 56,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 75,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 73,
  [176] = 176,
  [177] = 76,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 79,
  [188] = 188,
  [189] = 70,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 35,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 71,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 178,
  [213] = 184,
  [214] = 185,
  [215] = 169,
  [216] = 78,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 240,
  [348] = 270,
  [349] = 349,
  [350] = 350,
  [351] = 72,
  [352] = 352,
  [353] = 353,
  [354] = 77,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 334,
  [365] = 365,
  [366] = 350,
  [367] = 367,
  [368] = 368,
  [369] = 277,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 334,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 408,
  [455] = 410,
  [456] = 439,
  [457] = 457,
  [458] = 445,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 398,
  [464] = 464,
  [465] = 408,
  [466] = 410,
  [467] = 439,
  [468] = 398,
  [469] = 408,
  [470] = 410,
  [471] = 398,
  [472] = 408,
  [473] = 410,
  [474] = 426,
  [475] = 441,
  [476] = 442,
  [477] = 462,
  [478] = 437,
  [479] = 378,
  [480] = 446,
  [481] = 481,
  [482] = 462,
  [483] = 437,
  [484] = 378,
  [485] = 446,
  [486] = 481,
  [487] = 462,
  [488] = 437,
  [489] = 378,
  [490] = 481,
  [491] = 462,
  [492] = 437,
  [493] = 378,
  [494] = 481,
};

static TSCharacterRange aux_sym_PubidLiteral_token1_character_set_1[] = {
  {'\n', '\n'}, {'\r', '\r'}, {' ', '!'}, {'#', '%'}, {'\'', ';'}, {'=', '='}, {'?', 'Z'}, {'_', '_'},
  {'a', 'z'},
};

static TSCharacterRange aux_sym_PubidLiteral_token2_character_set_1[] = {
  {'\n', '\n'}, {'\r', '\r'}, {' ', '!'}, {'#', '%'}, {'(', ';'}, {'=', '='}, {'?', 'Z'}, {'_', '_'},
  {'a', 'z'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(42);
      ADVANCE_MAP(
        '"', 46,
        '#', 64,
        '%', 91,
        '&', 132,
        '\'', 45,
        '(', 74,
        ')', 77,
        '*', 78,
        '+', 80,
        ',', 81,
        '/', 62,
        '1', 61,
        ';', 94,
        '<', 53,
        '=', 143,
        '>', 52,
        '?', 79,
        'E', 66,
        'I', 63,
        'N', 65,
        '[', 49,
        ']', 51,
        '_', 72,
        '|', 76,
        '\t', 69,
        '\n', 69,
        '\r', 69,
        ' ', 69,
        '-', 71,
        '.', 71,
        ':', 71,
        0xb7, 71,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      if (lookahead != 0) ADVANCE(60);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '"', 46,
        '#', 28,
        '%', 91,
        '\'', 45,
        '(', 74,
        ')', 77,
        '*', 78,
        '+', 80,
        ',', 81,
        '/', 7,
        '>', 52,
        '?', 79,
        '[', 49,
        ']', 36,
        '|', 76,
        '\t', 95,
        '\n', 95,
        '\r', 95,
        ' ', 95,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(46);
      if (lookahead == '%') ADVANCE(91);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(92);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(46);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(60);
      END_STATE();
    case 4:
      if (lookahead == '%') ADVANCE(91);
      if (lookahead == '&') ADVANCE(132);
      if (lookahead == '\'') ADVANCE(45);
      if (lookahead == '<') ADVANCE(55);
      if (lookahead != 0) ADVANCE(93);
      END_STATE();
    case 5:
      if (lookahead == '&') ADVANCE(132);
      if (lookahead == '\'') ADVANCE(45);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(73);
      END_STATE();
    case 6:
      if (lookahead == '.') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == '>') ADVANCE(56);
      END_STATE();
    case 8:
      if (lookahead == '>') ADVANCE(58);
      END_STATE();
    case 9:
      if (lookahead == '>') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == '?') ADVANCE(9);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(95);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 11:
      if (lookahead == 'A') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'A') ADVANCE(75);
      END_STATE();
    case 13:
      if (lookahead == 'C') ADVANCE(14);
      END_STATE();
    case 14:
      if (lookahead == 'D') ADVANCE(11);
      END_STATE();
    case 15:
      if (lookahead == 'D') ADVANCE(90);
      END_STATE();
    case 16:
      if (lookahead == 'D') ADVANCE(89);
      END_STATE();
    case 17:
      if (lookahead == 'D') ADVANCE(88);
      END_STATE();
    case 18:
      if (lookahead == 'E') ADVANCE(30);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(15);
      END_STATE();
    case 20:
      if (lookahead == 'E') ADVANCE(16);
      END_STATE();
    case 21:
      if (lookahead == 'E') ADVANCE(17);
      END_STATE();
    case 22:
      if (lookahead == 'F') ADVANCE(23);
      if (lookahead == 'I') ADVANCE(27);
      if (lookahead == 'R') ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == 'I') ADVANCE(34);
      END_STATE();
    case 24:
      if (lookahead == 'I') ADVANCE(31);
      END_STATE();
    case 25:
      if (lookahead == 'I') ADVANCE(20);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == 'M') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == 'P') ADVANCE(13);
      END_STATE();
    case 29:
      if (lookahead == 'P') ADVANCE(26);
      END_STATE();
    case 30:
      if (lookahead == 'Q') ADVANCE(33);
      END_STATE();
    case 31:
      if (lookahead == 'R') ADVANCE(21);
      END_STATE();
    case 32:
      if (lookahead == 'T') ADVANCE(12);
      END_STATE();
    case 33:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 34:
      if (lookahead == 'X') ADVANCE(19);
      END_STATE();
    case 35:
      if (lookahead == '[') ADVANCE(59);
      END_STATE();
    case 36:
      if (lookahead == ']') ADVANCE(8);
      END_STATE();
    case 37:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(95);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 40:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 41:
      if (eof) ADVANCE(42);
      ADVANCE_MAP(
        '"', 46,
        '#', 22,
        '%', 91,
        '\'', 45,
        '(', 74,
        ')', 77,
        '*', 78,
        '+', 80,
        ',', 81,
        '/', 7,
        '1', 6,
        ';', 94,
        '<', 54,
        '=', 143,
        '>', 52,
        '?', 79,
        'E', 113,
        'I', 96,
        'N', 111,
        '[', 49,
        ']', 50,
        '|', 76,
        '\t', 95,
        '\n', 95,
        '\r', 95,
        ' ', 95,
      );
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      if (lookahead == '[') ADVANCE(59);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(8);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(48);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(47);
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LT_BANG_LBRACK);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == '.') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      if (lookahead == '-' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == '>') ADVANCE(56);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == 'D') ADVANCE(82);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == 'F') ADVANCE(23);
      if (lookahead == 'I') ADVANCE(27);
      if (lookahead == 'P') ADVANCE(13);
      if (lookahead == 'R') ADVANCE(18);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == 'M') ADVANCE(120);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == 'N') ADVANCE(119);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(95);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_PseudoAttValue_token2);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_POUNDPCDATA);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'R') ADVANCE(97);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'R') ADVANCE(100);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'S') ADVANCE(86);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'S') ADVANCE(87);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_POUNDREQUIRED);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_POUNDIMPLIED);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_POUNDFIXED);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_EntityValue_token2);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym__S);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'D') ADVANCE(83);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(103);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(112);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(117);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(104);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(118);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(114);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'F') ADVANCE(84);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'F') ADVANCE(85);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(121);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(99);
      if (lookahead == 'Y') ADVANCE(86);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(101);
      if (lookahead == 'Y') ADVANCE(87);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'K') ADVANCE(98);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'K') ADVANCE(102);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'M') ADVANCE(123);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(84);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(122);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(85);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'O') ADVANCE(109);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'O') ADVANCE(110);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'S') ADVANCE(86);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'S') ADVANCE(87);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(105);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(115);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(106);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(107);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(108);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(127);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '#') ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_POUND);
      if (lookahead == 'x') ADVANCE(135);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_CharRef_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP_POUNDx);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_CharRef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_SystemLiteral_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_SystemLiteral_token2);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_PubidLiteral_token1);
      if (set_contains(aux_sym_PubidLiteral_token1_character_set_1, 9, lookahead)) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_PubidLiteral_token2);
      if (set_contains(aux_sym_PubidLiteral_token2_character_set_1, 9, lookahead)) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_VersionNum);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_EncName);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'C', 2,
        'D', 3,
        'E', 4,
        'N', 5,
        'P', 6,
        'S', 7,
        'e', 8,
        'n', 9,
        's', 10,
        'v', 11,
        'x', 12,
        'y', 13,
      );
      END_STATE();
    case 1:
      if (lookahead == 'N') ADVANCE(14);
      if (lookahead == 'T') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'D') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'O') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'L') ADVANCE(18);
      if (lookahead == 'M') ADVANCE(19);
      if (lookahead == 'N') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'D') ADVANCE(21);
      if (lookahead == 'O') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'U') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'Y') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 10:
      if (lookahead == 't') ADVANCE(27);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 12:
      if (lookahead == 'm') ADVANCE(29);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 14:
      if (lookahead == 'Y') ADVANCE(31);
      END_STATE();
    case 15:
      if (lookahead == 'T') ADVANCE(32);
      END_STATE();
    case 16:
      if (lookahead == 'A') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'C') ADVANCE(34);
      END_STATE();
    case 18:
      if (lookahead == 'E') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'P') ADVANCE(36);
      END_STATE();
    case 20:
      if (lookahead == 'T') ADVANCE(37);
      END_STATE();
    case 21:
      if (lookahead == 'A') ADVANCE(38);
      END_STATE();
    case 22:
      if (lookahead == 'T') ADVANCE(39);
      END_STATE();
    case 23:
      if (lookahead == 'B') ADVANCE(40);
      END_STATE();
    case 24:
      if (lookahead == 'S') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_no);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 28:
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_ANY);
      END_STATE();
    case 32:
      if (lookahead == 'L') ADVANCE(47);
      END_STATE();
    case 33:
      if (lookahead == 'T') ADVANCE(48);
      END_STATE();
    case 34:
      if (lookahead == 'T') ADVANCE(49);
      END_STATE();
    case 35:
      if (lookahead == 'M') ADVANCE(50);
      END_STATE();
    case 36:
      if (lookahead == 'T') ADVANCE(51);
      END_STATE();
    case 37:
      if (lookahead == 'I') ADVANCE(52);
      END_STATE();
    case 38:
      if (lookahead == 'T') ADVANCE(53);
      END_STATE();
    case 39:
      if (lookahead == 'A') ADVANCE(54);
      END_STATE();
    case 40:
      if (lookahead == 'L') ADVANCE(55);
      END_STATE();
    case 41:
      if (lookahead == 'T') ADVANCE(56);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(57);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_xml);
      if (lookahead == '-') ADVANCE(60);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_yes);
      END_STATE();
    case 47:
      if (lookahead == 'I') ADVANCE(61);
      END_STATE();
    case 48:
      if (lookahead == 'A') ADVANCE(62);
      END_STATE();
    case 49:
      if (lookahead == 'Y') ADVANCE(63);
      END_STATE();
    case 50:
      if (lookahead == 'E') ADVANCE(64);
      END_STATE();
    case 51:
      if (lookahead == 'Y') ADVANCE(65);
      END_STATE();
    case 52:
      if (lookahead == 'T') ADVANCE(66);
      END_STATE();
    case 53:
      if (lookahead == 'A') ADVANCE(67);
      END_STATE();
    case 54:
      if (lookahead == 'T') ADVANCE(68);
      END_STATE();
    case 55:
      if (lookahead == 'I') ADVANCE(69);
      END_STATE();
    case 56:
      if (lookahead == 'E') ADVANCE(70);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(71);
      END_STATE();
    case 58:
      if (lookahead == 'd') ADVANCE(72);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(73);
      END_STATE();
    case 60:
      if (lookahead == 'm') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 61:
      if (lookahead == 'S') ADVANCE(76);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_CDATA);
      END_STATE();
    case 63:
      if (lookahead == 'P') ADVANCE(77);
      END_STATE();
    case 64:
      if (lookahead == 'N') ADVANCE(78);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_EMPTY);
      END_STATE();
    case 66:
      if (lookahead == 'Y') ADVANCE(79);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_NDATA);
      END_STATE();
    case 68:
      if (lookahead == 'I') ADVANCE(80);
      END_STATE();
    case 69:
      if (lookahead == 'C') ADVANCE(81);
      END_STATE();
    case 70:
      if (lookahead == 'M') ADVANCE(82);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(83);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 76:
      if (lookahead == 'T') ADVANCE(88);
      END_STATE();
    case 77:
      if (lookahead == 'E') ADVANCE(89);
      END_STATE();
    case 78:
      if (lookahead == 'T') ADVANCE(90);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_ENTITY);
      END_STATE();
    case 80:
      if (lookahead == 'O') ADVANCE(91);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PUBLIC);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SYSTEM);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(92);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 87:
      if (lookahead == 'y') ADVANCE(96);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_ATTLIST);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DOCTYPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_ELEMENT);
      END_STATE();
    case 91:
      if (lookahead == 'N') ADVANCE(97);
      END_STATE();
    case 92:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 93:
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_version);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 96:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_NOTATION);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_xml_DASHmodel);
      END_STATE();
    case 104:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_standalone);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(107);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_xml_DASHstylesheet);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 41, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 4, .external_lex_state = 3},
  [5] = {.lex_state = 4, .external_lex_state = 3},
  [6] = {.lex_state = 41, .external_lex_state = 2},
  [7] = {.lex_state = 41, .external_lex_state = 2},
  [8] = {.lex_state = 41, .external_lex_state = 2},
  [9] = {.lex_state = 41, .external_lex_state = 2},
  [10] = {.lex_state = 41, .external_lex_state = 2},
  [11] = {.lex_state = 41, .external_lex_state = 2},
  [12] = {.lex_state = 41, .external_lex_state = 2},
  [13] = {.lex_state = 41, .external_lex_state = 2},
  [14] = {.lex_state = 41, .external_lex_state = 2},
  [15] = {.lex_state = 41, .external_lex_state = 2},
  [16] = {.lex_state = 41, .external_lex_state = 2},
  [17] = {.lex_state = 41, .external_lex_state = 2},
  [18] = {.lex_state = 41, .external_lex_state = 2},
  [19] = {.lex_state = 41, .external_lex_state = 2},
  [20] = {.lex_state = 41, .external_lex_state = 2},
  [21] = {.lex_state = 41, .external_lex_state = 2},
  [22] = {.lex_state = 41, .external_lex_state = 2},
  [23] = {.lex_state = 4},
  [24] = {.lex_state = 2},
  [25] = {.lex_state = 41, .external_lex_state = 2},
  [26] = {.lex_state = 41},
  [27] = {.lex_state = 41},
  [28] = {.lex_state = 4},
  [29] = {.lex_state = 2},
  [30] = {.lex_state = 41, .external_lex_state = 2},
  [31] = {.lex_state = 41},
  [32] = {.lex_state = 4},
  [33] = {.lex_state = 2},
  [34] = {.lex_state = 1},
  [35] = {.lex_state = 4, .external_lex_state = 3},
  [36] = {.lex_state = 5},
  [37] = {.lex_state = 3},
  [38] = {.lex_state = 41, .external_lex_state = 2},
  [39] = {.lex_state = 41, .external_lex_state = 2},
  [40] = {.lex_state = 4, .external_lex_state = 3},
  [41] = {.lex_state = 41, .external_lex_state = 2},
  [42] = {.lex_state = 41, .external_lex_state = 2},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 3},
  [45] = {.lex_state = 5},
  [46] = {.lex_state = 3},
  [47] = {.lex_state = 41, .external_lex_state = 2},
  [48] = {.lex_state = 41, .external_lex_state = 2},
  [49] = {.lex_state = 4, .external_lex_state = 3},
  [50] = {.lex_state = 41, .external_lex_state = 2},
  [51] = {.lex_state = 4, .external_lex_state = 3},
  [52] = {.lex_state = 1},
  [53] = {.lex_state = 41, .external_lex_state = 2},
  [54] = {.lex_state = 41, .external_lex_state = 2},
  [55] = {.lex_state = 4, .external_lex_state = 3},
  [56] = {.lex_state = 4, .external_lex_state = 3},
  [57] = {.lex_state = 4, .external_lex_state = 3},
  [58] = {.lex_state = 41, .external_lex_state = 2},
  [59] = {.lex_state = 4, .external_lex_state = 3},
  [60] = {.lex_state = 3},
  [61] = {.lex_state = 3},
  [62] = {.lex_state = 41},
  [63] = {.lex_state = 41, .external_lex_state = 2},
  [64] = {.lex_state = 41, .external_lex_state = 2},
  [65] = {.lex_state = 41},
  [66] = {.lex_state = 41},
  [67] = {.lex_state = 41},
  [68] = {.lex_state = 41},
  [69] = {.lex_state = 41},
  [70] = {.lex_state = 4, .external_lex_state = 3},
  [71] = {.lex_state = 4, .external_lex_state = 3},
  [72] = {.lex_state = 4, .external_lex_state = 3},
  [73] = {.lex_state = 4, .external_lex_state = 3},
  [74] = {.lex_state = 3},
  [75] = {.lex_state = 4, .external_lex_state = 3},
  [76] = {.lex_state = 4, .external_lex_state = 3},
  [77] = {.lex_state = 4, .external_lex_state = 3},
  [78] = {.lex_state = 4, .external_lex_state = 3},
  [79] = {.lex_state = 4, .external_lex_state = 3},
  [80] = {.lex_state = 4, .external_lex_state = 3},
  [81] = {.lex_state = 5},
  [82] = {.lex_state = 5},
  [83] = {.lex_state = 3},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 5},
  [86] = {.lex_state = 41},
  [87] = {.lex_state = 41},
  [88] = {.lex_state = 41},
  [89] = {.lex_state = 41},
  [90] = {.lex_state = 41},
  [91] = {.lex_state = 1},
  [92] = {.lex_state = 1},
  [93] = {.lex_state = 1},
  [94] = {.lex_state = 41},
  [95] = {.lex_state = 1},
  [96] = {.lex_state = 41},
  [97] = {.lex_state = 41},
  [98] = {.lex_state = 1},
  [99] = {.lex_state = 41},
  [100] = {.lex_state = 4},
  [101] = {.lex_state = 41, .external_lex_state = 2},
  [102] = {.lex_state = 1},
  [103] = {.lex_state = 1},
  [104] = {.lex_state = 41, .external_lex_state = 2},
  [105] = {.lex_state = 41, .external_lex_state = 2},
  [106] = {.lex_state = 1},
  [107] = {.lex_state = 41, .external_lex_state = 2},
  [108] = {.lex_state = 1},
  [109] = {.lex_state = 1},
  [110] = {.lex_state = 41},
  [111] = {.lex_state = 41, .external_lex_state = 2},
  [112] = {.lex_state = 41, .external_lex_state = 2},
  [113] = {.lex_state = 1},
  [114] = {.lex_state = 1},
  [115] = {.lex_state = 1},
  [116] = {.lex_state = 1},
  [117] = {.lex_state = 1},
  [118] = {.lex_state = 41, .external_lex_state = 2},
  [119] = {.lex_state = 41, .external_lex_state = 2},
  [120] = {.lex_state = 4},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 4},
  [123] = {.lex_state = 4},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 2},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 41},
  [128] = {.lex_state = 41, .external_lex_state = 2},
  [129] = {.lex_state = 41, .external_lex_state = 2},
  [130] = {.lex_state = 41},
  [131] = {.lex_state = 41},
  [132] = {.lex_state = 41},
  [133] = {.lex_state = 41},
  [134] = {.lex_state = 41, .external_lex_state = 2},
  [135] = {.lex_state = 41},
  [136] = {.lex_state = 41},
  [137] = {.lex_state = 41, .external_lex_state = 2},
  [138] = {.lex_state = 41},
  [139] = {.lex_state = 41},
  [140] = {.lex_state = 41},
  [141] = {.lex_state = 1},
  [142] = {.lex_state = 5},
  [143] = {.lex_state = 41},
  [144] = {.lex_state = 5},
  [145] = {.lex_state = 5},
  [146] = {.lex_state = 41, .external_lex_state = 2},
  [147] = {.lex_state = 1},
  [148] = {.lex_state = 3},
  [149] = {.lex_state = 3},
  [150] = {.lex_state = 3},
  [151] = {.lex_state = 41},
  [152] = {.lex_state = 41, .external_lex_state = 2},
  [153] = {.lex_state = 41},
  [154] = {.lex_state = 41, .external_lex_state = 2},
  [155] = {.lex_state = 41},
  [156] = {.lex_state = 41},
  [157] = {.lex_state = 41},
  [158] = {.lex_state = 41},
  [159] = {.lex_state = 1, .external_lex_state = 4},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 41},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 41, .external_lex_state = 2},
  [164] = {.lex_state = 1},
  [165] = {.lex_state = 41},
  [166] = {.lex_state = 41, .external_lex_state = 2},
  [167] = {.lex_state = 41},
  [168] = {.lex_state = 41, .external_lex_state = 2},
  [169] = {.lex_state = 1, .external_lex_state = 5},
  [170] = {.lex_state = 41, .external_lex_state = 2},
  [171] = {.lex_state = 41, .external_lex_state = 2},
  [172] = {.lex_state = 1},
  [173] = {.lex_state = 0},
  [174] = {.lex_state = 41},
  [175] = {.lex_state = 41, .external_lex_state = 2},
  [176] = {.lex_state = 41, .external_lex_state = 5},
  [177] = {.lex_state = 41, .external_lex_state = 2},
  [178] = {.lex_state = 41, .external_lex_state = 5},
  [179] = {.lex_state = 41},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 41},
  [182] = {.lex_state = 41},
  [183] = {.lex_state = 41},
  [184] = {.lex_state = 1, .external_lex_state = 5},
  [185] = {.lex_state = 41, .external_lex_state = 5},
  [186] = {.lex_state = 0},
  [187] = {.lex_state = 41, .external_lex_state = 2},
  [188] = {.lex_state = 41},
  [189] = {.lex_state = 41, .external_lex_state = 2},
  [190] = {.lex_state = 41},
  [191] = {.lex_state = 41},
  [192] = {.lex_state = 41},
  [193] = {.lex_state = 41},
  [194] = {.lex_state = 41, .external_lex_state = 2},
  [195] = {.lex_state = 41},
  [196] = {.lex_state = 41},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 41},
  [199] = {.lex_state = 41},
  [200] = {.lex_state = 41},
  [201] = {.lex_state = 41},
  [202] = {.lex_state = 41, .external_lex_state = 2},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 41, .external_lex_state = 2},
  [208] = {.lex_state = 10},
  [209] = {.lex_state = 41, .external_lex_state = 2},
  [210] = {.lex_state = 41},
  [211] = {.lex_state = 41, .external_lex_state = 2},
  [212] = {.lex_state = 41, .external_lex_state = 5},
  [213] = {.lex_state = 1, .external_lex_state = 5},
  [214] = {.lex_state = 41, .external_lex_state = 5},
  [215] = {.lex_state = 1, .external_lex_state = 5},
  [216] = {.lex_state = 41, .external_lex_state = 2},
  [217] = {.lex_state = 41, .external_lex_state = 2},
  [218] = {.lex_state = 41},
  [219] = {.lex_state = 41, .external_lex_state = 5},
  [220] = {.lex_state = 10},
  [221] = {.lex_state = 41},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 41},
  [224] = {.lex_state = 10},
  [225] = {.lex_state = 10},
  [226] = {.lex_state = 41},
  [227] = {.lex_state = 10},
  [228] = {.lex_state = 1, .external_lex_state = 4},
  [229] = {.lex_state = 10},
  [230] = {.lex_state = 41},
  [231] = {.lex_state = 41},
  [232] = {.lex_state = 41},
  [233] = {.lex_state = 41},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 1},
  [236] = {.lex_state = 41},
  [237] = {.lex_state = 41},
  [238] = {.lex_state = 41},
  [239] = {.lex_state = 41},
  [240] = {.lex_state = 41, .external_lex_state = 5},
  [241] = {.lex_state = 41},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 41},
  [244] = {.lex_state = 41},
  [245] = {.lex_state = 41},
  [246] = {.lex_state = 41},
  [247] = {.lex_state = 10},
  [248] = {.lex_state = 10},
  [249] = {.lex_state = 41},
  [250] = {.lex_state = 1},
  [251] = {.lex_state = 10},
  [252] = {.lex_state = 41},
  [253] = {.lex_state = 41},
  [254] = {.lex_state = 41},
  [255] = {.lex_state = 41, .external_lex_state = 5},
  [256] = {.lex_state = 41},
  [257] = {.lex_state = 41},
  [258] = {.lex_state = 1},
  [259] = {.lex_state = 1},
  [260] = {.lex_state = 41},
  [261] = {.lex_state = 41},
  [262] = {.lex_state = 1},
  [263] = {.lex_state = 41},
  [264] = {.lex_state = 1},
  [265] = {.lex_state = 10},
  [266] = {.lex_state = 41},
  [267] = {.lex_state = 41},
  [268] = {.lex_state = 10},
  [269] = {.lex_state = 10},
  [270] = {.lex_state = 41, .external_lex_state = 5},
  [271] = {.lex_state = 41},
  [272] = {.lex_state = 41},
  [273] = {.lex_state = 41},
  [274] = {.lex_state = 41},
  [275] = {.lex_state = 41},
  [276] = {.lex_state = 10},
  [277] = {.lex_state = 41},
  [278] = {.lex_state = 41},
  [279] = {.lex_state = 1},
  [280] = {.lex_state = 41},
  [281] = {.lex_state = 41},
  [282] = {.lex_state = 41},
  [283] = {.lex_state = 41},
  [284] = {.lex_state = 41},
  [285] = {.lex_state = 37},
  [286] = {.lex_state = 41},
  [287] = {.lex_state = 41},
  [288] = {.lex_state = 41},
  [289] = {.lex_state = 41},
  [290] = {.lex_state = 41},
  [291] = {.lex_state = 41},
  [292] = {.lex_state = 41},
  [293] = {.lex_state = 41},
  [294] = {.lex_state = 1},
  [295] = {.lex_state = 41},
  [296] = {.lex_state = 41},
  [297] = {.lex_state = 41},
  [298] = {.lex_state = 41},
  [299] = {.lex_state = 41},
  [300] = {.lex_state = 10},
  [301] = {.lex_state = 41},
  [302] = {.lex_state = 41},
  [303] = {.lex_state = 41},
  [304] = {.lex_state = 41},
  [305] = {.lex_state = 37},
  [306] = {.lex_state = 41},
  [307] = {.lex_state = 41},
  [308] = {.lex_state = 41},
  [309] = {.lex_state = 37},
  [310] = {.lex_state = 41},
  [311] = {.lex_state = 10},
  [312] = {.lex_state = 41},
  [313] = {.lex_state = 41},
  [314] = {.lex_state = 41},
  [315] = {.lex_state = 41},
  [316] = {.lex_state = 41},
  [317] = {.lex_state = 41},
  [318] = {.lex_state = 41},
  [319] = {.lex_state = 41},
  [320] = {.lex_state = 41},
  [321] = {.lex_state = 41},
  [322] = {.lex_state = 41},
  [323] = {.lex_state = 41},
  [324] = {.lex_state = 41},
  [325] = {.lex_state = 41},
  [326] = {.lex_state = 41},
  [327] = {.lex_state = 41},
  [328] = {.lex_state = 1, .external_lex_state = 6},
  [329] = {.lex_state = 41},
  [330] = {.lex_state = 41},
  [331] = {.lex_state = 1},
  [332] = {.lex_state = 41},
  [333] = {.lex_state = 41},
  [334] = {.lex_state = 10},
  [335] = {.lex_state = 41},
  [336] = {.lex_state = 41},
  [337] = {.lex_state = 10},
  [338] = {.lex_state = 10},
  [339] = {.lex_state = 41},
  [340] = {.lex_state = 41},
  [341] = {.lex_state = 1},
  [342] = {.lex_state = 41},
  [343] = {.lex_state = 41},
  [344] = {.lex_state = 41},
  [345] = {.lex_state = 41},
  [346] = {.lex_state = 41},
  [347] = {.lex_state = 41},
  [348] = {.lex_state = 41},
  [349] = {.lex_state = 41},
  [350] = {.lex_state = 0},
  [351] = {.lex_state = 41},
  [352] = {.lex_state = 41},
  [353] = {.lex_state = 10},
  [354] = {.lex_state = 41},
  [355] = {.lex_state = 41},
  [356] = {.lex_state = 10},
  [357] = {.lex_state = 10},
  [358] = {.lex_state = 41},
  [359] = {.lex_state = 1},
  [360] = {.lex_state = 1, .external_lex_state = 6},
  [361] = {.lex_state = 10},
  [362] = {.lex_state = 41},
  [363] = {.lex_state = 41},
  [364] = {.lex_state = 10},
  [365] = {.lex_state = 41},
  [366] = {.lex_state = 0},
  [367] = {.lex_state = 41},
  [368] = {.lex_state = 10},
  [369] = {.lex_state = 41},
  [370] = {.lex_state = 41},
  [371] = {.lex_state = 41},
  [372] = {.lex_state = 41},
  [373] = {.lex_state = 1},
  [374] = {.lex_state = 41},
  [375] = {.lex_state = 10},
  [376] = {.lex_state = 41},
  [377] = {.lex_state = 41},
  [378] = {.lex_state = 39},
  [379] = {.lex_state = 41},
  [380] = {.lex_state = 37},
  [381] = {.lex_state = 41},
  [382] = {.lex_state = 41},
  [383] = {.lex_state = 41},
  [384] = {.lex_state = 41},
  [385] = {.lex_state = 41},
  [386] = {.lex_state = 41},
  [387] = {.lex_state = 41},
  [388] = {.lex_state = 41},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 41},
  [391] = {.lex_state = 41},
  [392] = {.lex_state = 41},
  [393] = {.lex_state = 37},
  [394] = {.lex_state = 41},
  [395] = {.lex_state = 40},
  [396] = {.lex_state = 41},
  [397] = {.lex_state = 41},
  [398] = {.lex_state = 41},
  [399] = {.lex_state = 40},
  [400] = {.lex_state = 138},
  [401] = {.lex_state = 137},
  [402] = {.lex_state = 41},
  [403] = {.lex_state = 140},
  [404] = {.lex_state = 139},
  [405] = {.lex_state = 41},
  [406] = {.lex_state = 41},
  [407] = {.lex_state = 41},
  [408] = {.lex_state = 41},
  [409] = {.lex_state = 41},
  [410] = {.lex_state = 41},
  [411] = {.lex_state = 41},
  [412] = {.lex_state = 41},
  [413] = {.lex_state = 41},
  [414] = {.lex_state = 41},
  [415] = {.lex_state = 37},
  [416] = {.lex_state = 41},
  [417] = {.lex_state = 41},
  [418] = {.lex_state = 41},
  [419] = {.lex_state = 41},
  [420] = {.lex_state = 41},
  [421] = {.lex_state = 41},
  [422] = {.lex_state = 41},
  [423] = {.lex_state = 10},
  [424] = {.lex_state = 41},
  [425] = {.lex_state = 41},
  [426] = {.lex_state = 0, .external_lex_state = 7},
  [427] = {.lex_state = 41},
  [428] = {.lex_state = 41},
  [429] = {.lex_state = 41},
  [430] = {.lex_state = 41},
  [431] = {.lex_state = 41},
  [432] = {.lex_state = 41},
  [433] = {.lex_state = 41},
  [434] = {.lex_state = 10},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 1},
  [437] = {.lex_state = 1},
  [438] = {.lex_state = 41},
  [439] = {.lex_state = 10},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 0, .external_lex_state = 8},
  [442] = {.lex_state = 0, .external_lex_state = 9},
  [443] = {.lex_state = 1},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 41},
  [446] = {.lex_state = 0, .external_lex_state = 10},
  [447] = {.lex_state = 41},
  [448] = {.lex_state = 41},
  [449] = {.lex_state = 41},
  [450] = {.lex_state = 41},
  [451] = {.lex_state = 1},
  [452] = {.lex_state = 41},
  [453] = {.lex_state = 41},
  [454] = {.lex_state = 41},
  [455] = {.lex_state = 41},
  [456] = {.lex_state = 10},
  [457] = {.lex_state = 41},
  [458] = {.lex_state = 41},
  [459] = {.lex_state = 41},
  [460] = {.lex_state = 41},
  [461] = {.lex_state = 41},
  [462] = {.lex_state = 1},
  [463] = {.lex_state = 41},
  [464] = {.lex_state = 41},
  [465] = {.lex_state = 41},
  [466] = {.lex_state = 41},
  [467] = {.lex_state = 10},
  [468] = {.lex_state = 41},
  [469] = {.lex_state = 41},
  [470] = {.lex_state = 41},
  [471] = {.lex_state = 41},
  [472] = {.lex_state = 41},
  [473] = {.lex_state = 41},
  [474] = {.lex_state = 0, .external_lex_state = 7},
  [475] = {.lex_state = 0, .external_lex_state = 8},
  [476] = {.lex_state = 0, .external_lex_state = 9},
  [477] = {.lex_state = 1},
  [478] = {.lex_state = 1},
  [479] = {.lex_state = 39},
  [480] = {.lex_state = 0, .external_lex_state = 10},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 39},
  [485] = {.lex_state = 0, .external_lex_state = 10},
  [486] = {.lex_state = 1},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 39},
  [490] = {.lex_state = 1},
  [491] = {.lex_state = 1},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 39},
  [494] = {.lex_state = 1},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_Name] = ACTIONS(1),
    [anon_sym_LT_QMARK] = ACTIONS(1),
    [anon_sym_xml] = ACTIONS(1),
    [anon_sym_standalone] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_yes] = ACTIONS(1),
    [anon_sym_no] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_DOCTYPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [anon_sym_LT_BANG_LBRACK] = ACTIONS(1),
    [anon_sym_CDATA] = ACTIONS(1),
    [anon_sym_xml_DASHstylesheet] = ACTIONS(1),
    [anon_sym_xml_DASHmodel] = ACTIONS(1),
    [aux_sym_PseudoAttValue_token1] = ACTIONS(1),
    [aux_sym_PseudoAttValue_token2] = ACTIONS(1),
    [anon_sym_ELEMENT] = ACTIONS(1),
    [anon_sym_EMPTY] = ACTIONS(1),
    [anon_sym_ANY] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_POUNDPCDATA] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_ATTLIST] = ACTIONS(1),
    [sym_TokenizedType] = ACTIONS(1),
    [anon_sym_NOTATION] = ACTIONS(1),
    [anon_sym_POUNDREQUIRED] = ACTIONS(1),
    [anon_sym_POUNDIMPLIED] = ACTIONS(1),
    [anon_sym_POUNDFIXED] = ACTIONS(1),
    [anon_sym_ENTITY] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_EntityValue_token1] = ACTIONS(1),
    [aux_sym_EntityValue_token2] = ACTIONS(1),
    [anon_sym_NDATA] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym__S] = ACTIONS(1),
    [sym_Nmtoken] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_AMP_POUND] = ACTIONS(1),
    [aux_sym_CharRef_token1] = ACTIONS(1),
    [anon_sym_AMP_POUNDx] = ACTIONS(1),
    [aux_sym_CharRef_token2] = ACTIONS(1),
    [anon_sym_SYSTEM] = ACTIONS(1),
    [anon_sym_PUBLIC] = ACTIONS(1),
    [anon_sym_version] = ACTIONS(1),
    [sym_VersionNum] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [sym_EncName] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [sym_PITarget] = ACTIONS(1),
    [sym__pi_content] = ACTIONS(1),
    [sym_Comment] = ACTIONS(1),
    [sym_CharData] = ACTIONS(1),
    [sym_CData] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym__erroneous_end_name] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(389),
    [sym_prolog] = STATE(173),
    [sym__Misc] = STATE(20),
    [sym_XMLDecl] = STATE(22),
    [sym_doctypedecl] = STATE(58),
    [sym_element] = STATE(38),
    [sym_EmptyElemTag] = STATE(189),
    [sym_STag] = STATE(3),
    [sym_StyleSheetPI] = STATE(20),
    [sym_XmlModelPI] = STATE(20),
    [sym_PI] = STATE(20),
    [aux_sym_document_repeat1] = STATE(20),
    [anon_sym_LT_QMARK] = ACTIONS(3),
    [anon_sym_LT_BANG] = ACTIONS(5),
    [anon_sym_LT] = ACTIONS(7),
    [sym__S] = ACTIONS(9),
    [sym_Comment] = ACTIONS(11),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(13), 1,
      anon_sym_LT_QMARK,
    ACTIONS(15), 1,
      anon_sym_LT,
    ACTIONS(17), 1,
      anon_sym_LT_SLASH,
    ACTIONS(19), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(21), 1,
      anon_sym_AMP,
    ACTIONS(23), 1,
      anon_sym_AMP_POUND,
    ACTIONS(25), 1,
      anon_sym_AMP_POUNDx,
    STATE(2), 1,
      sym_STag,
    STATE(70), 1,
      sym_EmptyElemTag,
    STATE(71), 1,
      sym_ETag,
    STATE(328), 1,
      sym_CDStart,
    STATE(366), 1,
      sym_content,
    ACTIONS(27), 2,
      sym_Comment,
      sym_CharData,
    STATE(80), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(4), 5,
      sym_element,
      sym_CDSect,
      sym__Reference,
      sym_PI,
      aux_sym_content_repeat1,
  [52] = 15,
    ACTIONS(13), 1,
      anon_sym_LT_QMARK,
    ACTIONS(15), 1,
      anon_sym_LT,
    ACTIONS(19), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(21), 1,
      anon_sym_AMP,
    ACTIONS(23), 1,
      anon_sym_AMP_POUND,
    ACTIONS(25), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(29), 1,
      anon_sym_LT_SLASH,
    STATE(2), 1,
      sym_STag,
    STATE(70), 1,
      sym_EmptyElemTag,
    STATE(202), 1,
      sym_ETag,
    STATE(328), 1,
      sym_CDStart,
    STATE(350), 1,
      sym_content,
    ACTIONS(27), 2,
      sym_Comment,
      sym_CharData,
    STATE(80), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(4), 5,
      sym_element,
      sym_CDSect,
      sym__Reference,
      sym_PI,
      aux_sym_content_repeat1,
  [104] = 13,
    ACTIONS(13), 1,
      anon_sym_LT_QMARK,
    ACTIONS(15), 1,
      anon_sym_LT,
    ACTIONS(19), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(21), 1,
      anon_sym_AMP,
    ACTIONS(23), 1,
      anon_sym_AMP_POUND,
    ACTIONS(25), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(31), 1,
      anon_sym_LT_SLASH,
    STATE(2), 1,
      sym_STag,
    STATE(70), 1,
      sym_EmptyElemTag,
    STATE(328), 1,
      sym_CDStart,
    ACTIONS(33), 2,
      sym_Comment,
      sym_CharData,
    STATE(80), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(5), 5,
      sym_element,
      sym_CDSect,
      sym__Reference,
      sym_PI,
      aux_sym_content_repeat1,
  [150] = 13,
    ACTIONS(35), 1,
      anon_sym_LT_QMARK,
    ACTIONS(38), 1,
      anon_sym_LT,
    ACTIONS(41), 1,
      anon_sym_LT_SLASH,
    ACTIONS(43), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(46), 1,
      anon_sym_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP_POUND,
    ACTIONS(52), 1,
      anon_sym_AMP_POUNDx,
    STATE(2), 1,
      sym_STag,
    STATE(70), 1,
      sym_EmptyElemTag,
    STATE(328), 1,
      sym_CDStart,
    ACTIONS(55), 2,
      sym_Comment,
      sym_CharData,
    STATE(80), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(5), 5,
      sym_element,
      sym_CDSect,
      sym__Reference,
      sym_PI,
      aux_sym_content_repeat1,
  [196] = 11,
    ACTIONS(3), 1,
      anon_sym_LT_QMARK,
    ACTIONS(5), 1,
      anon_sym_LT_BANG,
    ACTIONS(7), 1,
      anon_sym_LT,
    STATE(3), 1,
      sym_STag,
    STATE(22), 1,
      sym_XMLDecl,
    STATE(39), 1,
      sym_element,
    STATE(58), 1,
      sym_doctypedecl,
    STATE(186), 1,
      sym_prolog,
    STATE(189), 1,
      sym_EmptyElemTag,
    ACTIONS(11), 2,
      sym_Comment,
      sym__S,
    STATE(20), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [235] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_RBRACK,
    ACTIONS(64), 1,
      sym__S,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(9), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [268] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(68), 1,
      anon_sym_RBRACK,
    ACTIONS(70), 1,
      sym__S,
    STATE(14), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [301] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(68), 1,
      anon_sym_RBRACK,
    ACTIONS(72), 1,
      sym__S,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [334] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      sym__S,
    ACTIONS(74), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [367] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(74), 1,
      anon_sym_RBRACK,
    ACTIONS(76), 1,
      sym__S,
    STATE(12), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [400] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_RBRACK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      sym__S,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [433] = 9,
    ACTIONS(78), 1,
      anon_sym_LT_QMARK,
    ACTIONS(81), 1,
      anon_sym_LT_BANG,
    ACTIONS(84), 1,
      anon_sym_RBRACK,
    ACTIONS(86), 1,
      sym__S,
    ACTIONS(89), 1,
      sym_Comment,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [466] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      sym__S,
    ACTIONS(92), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [499] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(94), 1,
      anon_sym_RBRACK,
    ACTIONS(96), 1,
      sym__S,
    STATE(10), 1,
      aux_sym__intSubset,
    STATE(167), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [532] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_RBRACK,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(188), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [559] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(92), 1,
      anon_sym_RBRACK,
    STATE(188), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [586] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(74), 1,
      anon_sym_RBRACK,
    STATE(188), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [613] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(68), 1,
      anon_sym_RBRACK,
    STATE(188), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [640] = 6,
    ACTIONS(5), 1,
      anon_sym_LT_BANG,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(100), 1,
      anon_sym_LT,
    STATE(50), 1,
      sym_doctypedecl,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [664] = 6,
    ACTIONS(58), 1,
      anon_sym_LT_QMARK,
    ACTIONS(60), 1,
      anon_sym_LT_BANG,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(188), 1,
      sym__markupdecl,
    STATE(316), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(314), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [688] = 6,
    ACTIONS(5), 1,
      anon_sym_LT_BANG,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(100), 1,
      anon_sym_LT,
    STATE(50), 1,
      sym_doctypedecl,
    ACTIONS(104), 2,
      sym_Comment,
      sym__S,
    STATE(30), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [712] = 8,
    ACTIONS(106), 1,
      anon_sym_SQUOTE,
    ACTIONS(108), 1,
      anon_sym_PERCENT,
    ACTIONS(110), 1,
      aux_sym_EntityValue_token2,
    ACTIONS(112), 1,
      anon_sym_AMP,
    ACTIONS(114), 1,
      anon_sym_AMP_POUND,
    ACTIONS(116), 1,
      anon_sym_AMP_POUNDx,
    STATE(100), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(28), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [740] = 8,
    ACTIONS(106), 1,
      anon_sym_DQUOTE,
    ACTIONS(118), 1,
      anon_sym_PERCENT,
    ACTIONS(120), 1,
      aux_sym_EntityValue_token1,
    ACTIONS(122), 1,
      anon_sym_AMP,
    ACTIONS(124), 1,
      anon_sym_AMP_POUND,
    ACTIONS(126), 1,
      anon_sym_AMP_POUNDx,
    STATE(125), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(29), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [768] = 5,
    ACTIONS(130), 1,
      anon_sym_LT_QMARK,
    ACTIONS(133), 1,
      anon_sym_LT,
    ACTIONS(128), 2,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
    ACTIONS(135), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [790] = 5,
    STATE(96), 1,
      aux_sym_Mixed_repeat1,
    STATE(174), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
    ACTIONS(140), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(138), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [812] = 8,
    ACTIONS(142), 1,
      anon_sym_CDATA,
    ACTIONS(144), 1,
      anon_sym_LPAREN,
    ACTIONS(146), 1,
      sym_TokenizedType,
    ACTIONS(148), 1,
      anon_sym_NOTATION,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    STATE(322), 1,
      sym__AttType,
    STATE(376), 2,
      sym_NotationType,
      sym_Enumeration,
    STATE(318), 3,
      sym_StringType,
      sym__EnumeratedType,
      sym_PEReference,
  [840] = 8,
    ACTIONS(108), 1,
      anon_sym_PERCENT,
    ACTIONS(112), 1,
      anon_sym_AMP,
    ACTIONS(114), 1,
      anon_sym_AMP_POUND,
    ACTIONS(116), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(152), 1,
      anon_sym_SQUOTE,
    ACTIONS(154), 1,
      aux_sym_EntityValue_token2,
    STATE(100), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(32), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [868] = 8,
    ACTIONS(118), 1,
      anon_sym_PERCENT,
    ACTIONS(122), 1,
      anon_sym_AMP,
    ACTIONS(124), 1,
      anon_sym_AMP_POUND,
    ACTIONS(126), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(152), 1,
      anon_sym_DQUOTE,
    ACTIONS(156), 1,
      aux_sym_EntityValue_token1,
    STATE(125), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(33), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [896] = 6,
    ACTIONS(5), 1,
      anon_sym_LT_BANG,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(158), 1,
      anon_sym_LT,
    STATE(48), 1,
      sym_doctypedecl,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [920] = 5,
    STATE(99), 1,
      aux_sym_Mixed_repeat1,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
    ACTIONS(140), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(138), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [942] = 8,
    ACTIONS(160), 1,
      anon_sym_SQUOTE,
    ACTIONS(162), 1,
      anon_sym_PERCENT,
    ACTIONS(165), 1,
      aux_sym_EntityValue_token2,
    ACTIONS(168), 1,
      anon_sym_AMP,
    ACTIONS(171), 1,
      anon_sym_AMP_POUND,
    ACTIONS(174), 1,
      anon_sym_AMP_POUNDx,
    STATE(100), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(32), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [970] = 8,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_PERCENT,
    ACTIONS(182), 1,
      aux_sym_EntityValue_token1,
    ACTIONS(185), 1,
      anon_sym_AMP,
    ACTIONS(188), 1,
      anon_sym_AMP_POUND,
    ACTIONS(191), 1,
      anon_sym_AMP_POUNDx,
    STATE(125), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(33), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [998] = 1,
    ACTIONS(194), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [1011] = 2,
    ACTIONS(198), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(196), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1025] = 7,
    ACTIONS(200), 1,
      anon_sym_SQUOTE,
    ACTIONS(202), 1,
      aux_sym_PseudoAttValue_token2,
    ACTIONS(204), 1,
      anon_sym_AMP,
    ACTIONS(206), 1,
      anon_sym_AMP_POUND,
    ACTIONS(208), 1,
      anon_sym_AMP_POUNDx,
    STATE(45), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1049] = 7,
    ACTIONS(200), 1,
      anon_sym_DQUOTE,
    ACTIONS(210), 1,
      aux_sym_PseudoAttValue_token1,
    ACTIONS(212), 1,
      anon_sym_AMP,
    ACTIONS(214), 1,
      anon_sym_AMP_POUND,
    ACTIONS(216), 1,
      anon_sym_AMP_POUNDx,
    STATE(46), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1073] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(218), 1,
      ts_builtin_sym_end,
    ACTIONS(220), 2,
      sym_Comment,
      sym__S,
    STATE(64), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1091] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(222), 1,
      ts_builtin_sym_end,
    ACTIONS(224), 2,
      sym_Comment,
      sym__S,
    STATE(42), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1109] = 2,
    ACTIONS(228), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(226), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1123] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(230), 1,
      ts_builtin_sym_end,
    ACTIONS(232), 2,
      sym_Comment,
      sym__S,
    STATE(53), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1141] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(234), 1,
      ts_builtin_sym_end,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1159] = 7,
    ACTIONS(202), 1,
      aux_sym_PseudoAttValue_token2,
    ACTIONS(204), 1,
      anon_sym_AMP,
    ACTIONS(206), 1,
      anon_sym_AMP_POUND,
    ACTIONS(208), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(236), 1,
      anon_sym_SQUOTE,
    STATE(45), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1183] = 7,
    ACTIONS(210), 1,
      aux_sym_PseudoAttValue_token1,
    ACTIONS(212), 1,
      anon_sym_AMP,
    ACTIONS(214), 1,
      anon_sym_AMP_POUND,
    ACTIONS(216), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(236), 1,
      anon_sym_DQUOTE,
    STATE(46), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1207] = 7,
    ACTIONS(238), 1,
      anon_sym_SQUOTE,
    ACTIONS(240), 1,
      aux_sym_PseudoAttValue_token2,
    ACTIONS(243), 1,
      anon_sym_AMP,
    ACTIONS(246), 1,
      anon_sym_AMP_POUND,
    ACTIONS(249), 1,
      anon_sym_AMP_POUNDx,
    STATE(45), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1231] = 7,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    ACTIONS(254), 1,
      aux_sym_PseudoAttValue_token1,
    ACTIONS(257), 1,
      anon_sym_AMP,
    ACTIONS(260), 1,
      anon_sym_AMP_POUND,
    ACTIONS(263), 1,
      anon_sym_AMP_POUNDx,
    STATE(46), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1255] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(266), 1,
      anon_sym_LT,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1273] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(266), 1,
      anon_sym_LT,
    ACTIONS(268), 2,
      sym_Comment,
      sym__S,
    STATE(54), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1291] = 2,
    ACTIONS(272), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(270), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1305] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(158), 1,
      anon_sym_LT,
    ACTIONS(274), 2,
      sym_Comment,
      sym__S,
    STATE(47), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1323] = 2,
    ACTIONS(278), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(276), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1337] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(282), 1,
      anon_sym_LPAREN,
    STATE(157), 1,
      sym__choice,
    STATE(370), 1,
      sym_contentspec,
    ACTIONS(280), 2,
      anon_sym_EMPTY,
      anon_sym_ANY,
    STATE(358), 3,
      sym_Mixed,
      sym_children,
      sym_PEReference,
  [1359] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(284), 1,
      ts_builtin_sym_end,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1377] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(286), 1,
      anon_sym_LT,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1395] = 2,
    ACTIONS(290), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(288), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1409] = 2,
    ACTIONS(294), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(292), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1423] = 2,
    ACTIONS(298), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(296), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1437] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(100), 1,
      anon_sym_LT,
    ACTIONS(300), 2,
      sym_Comment,
      sym__S,
    STATE(63), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1455] = 2,
    ACTIONS(304), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(302), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1469] = 7,
    ACTIONS(212), 1,
      anon_sym_AMP,
    ACTIONS(214), 1,
      anon_sym_AMP_POUND,
    ACTIONS(216), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(306), 1,
      anon_sym_DQUOTE,
    ACTIONS(308), 1,
      aux_sym_PseudoAttValue_token1,
    STATE(44), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1493] = 7,
    ACTIONS(212), 1,
      anon_sym_AMP,
    ACTIONS(214), 1,
      anon_sym_AMP_POUND,
    ACTIONS(216), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(312), 1,
      aux_sym_PseudoAttValue_token1,
    STATE(37), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1517] = 1,
    ACTIONS(314), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1529] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(158), 1,
      anon_sym_LT,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1547] = 4,
    ACTIONS(98), 1,
      anon_sym_LT_QMARK,
    ACTIONS(316), 1,
      ts_builtin_sym_end,
    ACTIONS(102), 2,
      sym_Comment,
      sym__S,
    STATE(25), 5,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      sym_PI,
      aux_sym_document_repeat1,
  [1565] = 1,
    ACTIONS(318), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1577] = 7,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(320), 1,
      anon_sym_SQUOTE,
    ACTIONS(322), 1,
      anon_sym_DQUOTE,
    ACTIONS(326), 1,
      anon_sym_POUNDFIXED,
    STATE(291), 1,
      sym_DefaultDecl,
    ACTIONS(324), 2,
      anon_sym_POUNDREQUIRED,
      anon_sym_POUNDIMPLIED,
    STATE(290), 2,
      sym_PEReference,
      sym_AttValue,
  [1601] = 1,
    ACTIONS(328), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1613] = 1,
    ACTIONS(330), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1625] = 1,
    ACTIONS(332), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1637] = 2,
    ACTIONS(336), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(334), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1651] = 2,
    ACTIONS(340), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(338), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1665] = 2,
    ACTIONS(344), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(342), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1679] = 2,
    ACTIONS(348), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(346), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1693] = 7,
    ACTIONS(210), 1,
      aux_sym_PseudoAttValue_token1,
    ACTIONS(212), 1,
      anon_sym_AMP,
    ACTIONS(214), 1,
      anon_sym_AMP_POUND,
    ACTIONS(216), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(350), 1,
      anon_sym_DQUOTE,
    STATE(46), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1717] = 2,
    ACTIONS(354), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(352), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1731] = 2,
    ACTIONS(358), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(356), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1745] = 2,
    ACTIONS(362), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(360), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1759] = 2,
    ACTIONS(366), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(364), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1773] = 2,
    ACTIONS(370), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(368), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1787] = 2,
    ACTIONS(374), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(372), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
      anon_sym_AMP_POUNDx,
  [1801] = 7,
    ACTIONS(204), 1,
      anon_sym_AMP,
    ACTIONS(206), 1,
      anon_sym_AMP_POUND,
    ACTIONS(208), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(306), 1,
      anon_sym_SQUOTE,
    ACTIONS(376), 1,
      aux_sym_PseudoAttValue_token2,
    STATE(43), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1825] = 7,
    ACTIONS(204), 1,
      anon_sym_AMP,
    ACTIONS(206), 1,
      anon_sym_AMP_POUND,
    ACTIONS(208), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(378), 1,
      anon_sym_SQUOTE,
    ACTIONS(380), 1,
      aux_sym_PseudoAttValue_token2,
    STATE(84), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1849] = 7,
    ACTIONS(212), 1,
      anon_sym_AMP,
    ACTIONS(214), 1,
      anon_sym_AMP_POUND,
    ACTIONS(216), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(378), 1,
      anon_sym_DQUOTE,
    ACTIONS(382), 1,
      aux_sym_PseudoAttValue_token1,
    STATE(74), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat1,
    STATE(148), 2,
      sym_EntityRef,
      sym_CharRef,
  [1873] = 7,
    ACTIONS(202), 1,
      aux_sym_PseudoAttValue_token2,
    ACTIONS(204), 1,
      anon_sym_AMP,
    ACTIONS(206), 1,
      anon_sym_AMP_POUND,
    ACTIONS(208), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(350), 1,
      anon_sym_SQUOTE,
    STATE(45), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1897] = 7,
    ACTIONS(204), 1,
      anon_sym_AMP,
    ACTIONS(206), 1,
      anon_sym_AMP_POUND,
    ACTIONS(208), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(310), 1,
      anon_sym_SQUOTE,
    ACTIONS(384), 1,
      aux_sym_PseudoAttValue_token2,
    STATE(36), 2,
      sym__Reference,
      aux_sym_PseudoAttValue_repeat2,
    STATE(142), 2,
      sym_EntityRef,
      sym_CharRef,
  [1921] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(390), 1,
      sym__S,
    STATE(110), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(153), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1942] = 2,
    ACTIONS(140), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(138), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1955] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(390), 1,
      sym__S,
    STATE(90), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(153), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1976] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(392), 1,
      anon_sym_RPAREN,
    ACTIONS(394), 1,
      sym__S,
    STATE(86), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(138), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1997] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    ACTIONS(398), 1,
      sym__S,
    STATE(110), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(127), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2018] = 8,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_POUNDPCDATA,
    ACTIONS(406), 1,
      sym__S,
    STATE(26), 1,
      sym_PEReference,
    STATE(87), 1,
      sym__choice,
    STATE(89), 1,
      sym__cp,
  [2043] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(408), 1,
      sym__S,
    STATE(89), 1,
      sym__cp,
    STATE(87), 2,
      sym__choice,
      sym_PEReference,
  [2063] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      sym__S,
    STATE(133), 1,
      sym__cp,
    STATE(87), 2,
      sym__choice,
      sym_PEReference,
  [2083] = 7,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(412), 1,
      anon_sym_PIPE,
    ACTIONS(414), 1,
      anon_sym_RPAREN,
    ACTIONS(416), 1,
      sym__S,
    STATE(96), 1,
      aux_sym_Mixed_repeat1,
    STATE(174), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2105] = 7,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_POUNDPCDATA,
    STATE(31), 1,
      sym_PEReference,
    STATE(87), 1,
      sym__choice,
    STATE(88), 1,
      sym__cp,
  [2127] = 7,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(412), 1,
      anon_sym_PIPE,
    ACTIONS(420), 1,
      anon_sym_RPAREN,
    ACTIONS(422), 1,
      sym__S,
    STATE(140), 1,
      aux_sym_Mixed_repeat1,
    STATE(182), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2149] = 7,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(412), 1,
      anon_sym_PIPE,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    ACTIONS(426), 1,
      sym__S,
    STATE(99), 1,
      aux_sym_Mixed_repeat1,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2171] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(428), 1,
      sym__S,
    STATE(155), 1,
      sym__cp,
    STATE(87), 2,
      sym__choice,
      sym_PEReference,
  [2191] = 7,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(412), 1,
      anon_sym_PIPE,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    ACTIONS(432), 1,
      sym__S,
    STATE(140), 1,
      aux_sym_Mixed_repeat1,
    STATE(192), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2213] = 2,
    ACTIONS(374), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(372), 4,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2224] = 2,
    ACTIONS(436), 1,
      anon_sym_LT,
    ACTIONS(434), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2235] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym__cp,
    STATE(87), 2,
      sym__choice,
      sym_PEReference,
  [2252] = 6,
    ACTIONS(438), 1,
      anon_sym_SQUOTE,
    ACTIONS(440), 1,
      anon_sym_DQUOTE,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(444), 1,
      anon_sym_PUBLIC,
    STATE(226), 1,
      sym_ExternalID,
    STATE(304), 1,
      sym_EntityValue,
  [2271] = 2,
    ACTIONS(448), 1,
      anon_sym_LT,
    ACTIONS(446), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2282] = 2,
    ACTIONS(452), 1,
      anon_sym_LT,
    ACTIONS(450), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2293] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(454), 1,
      anon_sym_PUBLIC,
    STATE(384), 1,
      sym_PEReference,
    STATE(288), 2,
      sym_ExternalID,
      sym_PublicID,
  [2310] = 2,
    ACTIONS(344), 1,
      anon_sym_LT,
    ACTIONS(342), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2321] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(133), 1,
      sym__cp,
    STATE(87), 2,
      sym__choice,
      sym_PEReference,
  [2338] = 5,
    ACTIONS(438), 1,
      anon_sym_SQUOTE,
    ACTIONS(440), 1,
      anon_sym_DQUOTE,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(444), 1,
      anon_sym_PUBLIC,
    STATE(345), 2,
      sym_EntityValue,
      sym_ExternalID,
  [2355] = 4,
    ACTIONS(461), 1,
      sym__S,
    STATE(110), 1,
      aux_sym__choice_repeat1,
    ACTIONS(456), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(459), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [2370] = 2,
    ACTIONS(362), 1,
      anon_sym_LT,
    ACTIONS(360), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2381] = 2,
    ACTIONS(466), 1,
      anon_sym_LT,
    ACTIONS(464), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2392] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(135), 1,
      sym__cp,
    STATE(87), 2,
      sym__choice,
      sym_PEReference,
  [2409] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(468), 1,
      sym_Name,
    ACTIONS(470), 1,
      anon_sym_PIPE,
    ACTIONS(472), 1,
      sym__S,
    STATE(116), 1,
      aux_sym_NotationType_repeat1,
    STATE(317), 1,
      sym_PEReference,
  [2428] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(470), 1,
      anon_sym_PIPE,
    ACTIONS(472), 1,
      sym__S,
    ACTIONS(474), 1,
      sym_Name,
    STATE(117), 1,
      aux_sym_NotationType_repeat1,
    STATE(323), 1,
      sym_PEReference,
  [2447] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(470), 1,
      anon_sym_PIPE,
    ACTIONS(472), 1,
      sym__S,
    ACTIONS(474), 1,
      sym_Name,
    STATE(141), 1,
      aux_sym_NotationType_repeat1,
    STATE(323), 1,
      sym_PEReference,
  [2466] = 6,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(470), 1,
      anon_sym_PIPE,
    ACTIONS(472), 1,
      sym__S,
    ACTIONS(476), 1,
      sym_Name,
    STATE(141), 1,
      aux_sym_NotationType_repeat1,
    STATE(330), 1,
      sym_PEReference,
  [2485] = 2,
    ACTIONS(480), 1,
      anon_sym_LT,
    ACTIONS(478), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2496] = 2,
    ACTIONS(484), 1,
      anon_sym_LT,
    ACTIONS(482), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2507] = 2,
    ACTIONS(486), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(194), 4,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2518] = 2,
    ACTIONS(294), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(292), 4,
      anon_sym_DQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2529] = 2,
    ACTIONS(290), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(288), 4,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2540] = 2,
    ACTIONS(294), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(292), 4,
      anon_sym_SQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2551] = 2,
    ACTIONS(486), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(194), 4,
      anon_sym_DQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2562] = 2,
    ACTIONS(374), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(372), 4,
      anon_sym_DQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2573] = 2,
    ACTIONS(290), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(288), 4,
      anon_sym_DQUOTE,
      anon_sym_PERCENT,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2584] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(488), 1,
      anon_sym_RPAREN,
    ACTIONS(490), 1,
      sym__S,
    STATE(158), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2598] = 2,
    ACTIONS(494), 1,
      anon_sym_LT,
    ACTIONS(492), 4,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2608] = 2,
    ACTIONS(498), 1,
      anon_sym_LT,
    ACTIONS(496), 4,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2618] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    ACTIONS(502), 1,
      anon_sym_RPAREN,
    STATE(199), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2634] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(488), 1,
      anon_sym_RPAREN,
    STATE(230), 1,
      sym_PEReference,
    ACTIONS(504), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2648] = 1,
    ACTIONS(506), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2656] = 1,
    ACTIONS(508), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2664] = 1,
    ACTIONS(194), 5,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      anon_sym_RBRACK,
      sym__S,
  [2672] = 1,
    ACTIONS(510), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2680] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    STATE(230), 1,
      sym_PEReference,
    ACTIONS(504), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2694] = 2,
    ACTIONS(514), 1,
      anon_sym_LT,
    ACTIONS(512), 4,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2704] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(516), 1,
      sym__S,
    STATE(158), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2718] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    STATE(192), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2734] = 4,
    ACTIONS(518), 1,
      anon_sym_PIPE,
    ACTIONS(523), 1,
      sym__S,
    STATE(140), 1,
      aux_sym_Mixed_repeat1,
    ACTIONS(521), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [2748] = 4,
    ACTIONS(528), 1,
      anon_sym_PIPE,
    ACTIONS(531), 1,
      sym__S,
    STATE(141), 1,
      aux_sym_NotationType_repeat1,
    ACTIONS(526), 2,
      anon_sym_PERCENT,
      sym_Name,
  [2762] = 2,
    ACTIONS(374), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(372), 3,
      anon_sym_SQUOTE,
      aux_sym_PseudoAttValue_token2,
      anon_sym_AMP_POUNDx,
  [2772] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    ACTIONS(534), 1,
      anon_sym_RPAREN,
    STATE(193), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2788] = 2,
    ACTIONS(290), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(288), 3,
      anon_sym_SQUOTE,
      aux_sym_PseudoAttValue_token2,
      anon_sym_AMP_POUNDx,
  [2798] = 2,
    ACTIONS(294), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(292), 3,
      anon_sym_SQUOTE,
      aux_sym_PseudoAttValue_token2,
      anon_sym_AMP_POUNDx,
  [2808] = 2,
    ACTIONS(538), 1,
      anon_sym_LT,
    ACTIONS(536), 4,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      sym__S,
  [2818] = 5,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(444), 1,
      anon_sym_PUBLIC,
    ACTIONS(540), 1,
      anon_sym_LBRACK,
    ACTIONS(542), 1,
      anon_sym_GT,
    STATE(274), 1,
      sym_ExternalID,
  [2834] = 2,
    ACTIONS(374), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(372), 3,
      anon_sym_DQUOTE,
      aux_sym_PseudoAttValue_token1,
      anon_sym_AMP_POUNDx,
  [2844] = 2,
    ACTIONS(290), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(288), 3,
      anon_sym_DQUOTE,
      aux_sym_PseudoAttValue_token1,
      anon_sym_AMP_POUNDx,
  [2854] = 2,
    ACTIONS(294), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(292), 3,
      anon_sym_DQUOTE,
      aux_sym_PseudoAttValue_token1,
      anon_sym_AMP_POUNDx,
  [2864] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    STATE(230), 1,
      sym_PEReference,
    ACTIONS(504), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2878] = 1,
    ACTIONS(84), 5,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      anon_sym_RBRACK,
      sym__S,
  [2886] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    ACTIONS(544), 1,
      sym__S,
    STATE(158), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2900] = 1,
    ACTIONS(546), 5,
      sym_Comment,
      anon_sym_LT_QMARK,
      anon_sym_LT_BANG,
      anon_sym_RBRACK,
      sym__S,
  [2908] = 1,
    ACTIONS(459), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2916] = 5,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    ACTIONS(500), 1,
      anon_sym_PIPE,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [2932] = 2,
    ACTIONS(548), 2,
      anon_sym_GT,
      sym__S,
    ACTIONS(550), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
  [2942] = 4,
    ACTIONS(552), 1,
      anon_sym_RPAREN,
    ACTIONS(554), 1,
      anon_sym_PERCENT,
    ACTIONS(557), 1,
      sym__S,
    STATE(158), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2956] = 4,
    ACTIONS(560), 1,
      anon_sym_xml,
    ACTIONS(562), 1,
      anon_sym_xml_DASHstylesheet,
    ACTIONS(564), 1,
      anon_sym_xml_DASHmodel,
    ACTIONS(566), 1,
      sym_PITarget,
  [2969] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(568), 1,
      sym_Name,
    ACTIONS(570), 1,
      anon_sym_GT,
    STATE(289), 1,
      sym_PEReference,
  [2982] = 3,
    ACTIONS(570), 1,
      anon_sym_GT,
    ACTIONS(572), 1,
      sym__S,
    STATE(165), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [2993] = 4,
    ACTIONS(574), 1,
      anon_sym_ELEMENT,
    ACTIONS(576), 1,
      anon_sym_ATTLIST,
    ACTIONS(578), 1,
      anon_sym_NOTATION,
    ACTIONS(580), 1,
      anon_sym_ENTITY,
  [3006] = 2,
    ACTIONS(584), 1,
      anon_sym_LT,
    ACTIONS(582), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3015] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(568), 1,
      sym_Name,
    ACTIONS(586), 1,
      anon_sym_GT,
    STATE(289), 1,
      sym_PEReference,
  [3028] = 3,
    ACTIONS(588), 1,
      anon_sym_GT,
    ACTIONS(590), 1,
      sym__S,
    STATE(165), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3039] = 2,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3048] = 3,
    ACTIONS(597), 1,
      anon_sym_PERCENT,
    ACTIONS(599), 1,
      sym__S,
    STATE(152), 2,
      sym__DeclSep,
      sym_PEReference,
  [3059] = 1,
    ACTIONS(352), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3066] = 4,
    ACTIONS(601), 1,
      sym_Name,
    ACTIONS(603), 1,
      anon_sym_GT,
    ACTIONS(605), 1,
      anon_sym_SLASH_GT,
    STATE(255), 1,
      sym_Attribute,
  [3079] = 2,
    ACTIONS(609), 1,
      anon_sym_LT,
    ACTIONS(607), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3088] = 2,
    ACTIONS(613), 1,
      anon_sym_LT,
    ACTIONS(611), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3097] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(615), 1,
      sym_Name,
    ACTIONS(617), 1,
      sym__S,
    STATE(179), 1,
      sym_PEReference,
  [3110] = 4,
    ACTIONS(619), 1,
      anon_sym_LT,
    STATE(3), 1,
      sym_STag,
    STATE(39), 1,
      sym_element,
    STATE(189), 1,
      sym_EmptyElemTag,
  [3123] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3136] = 1,
    ACTIONS(346), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3143] = 3,
    ACTIONS(623), 1,
      sym__S,
    STATE(176), 1,
      aux_sym_EmptyElemTag_repeat1,
    ACTIONS(621), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
  [3154] = 1,
    ACTIONS(356), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3161] = 4,
    ACTIONS(626), 1,
      anon_sym_GT,
    ACTIONS(628), 1,
      anon_sym_SLASH_GT,
    ACTIONS(630), 1,
      sym__S,
    STATE(185), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3174] = 1,
    ACTIONS(521), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3181] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(632), 1,
      sym_Name,
    ACTIONS(634), 1,
      sym__S,
    STATE(191), 1,
      sym_PEReference,
  [3194] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(534), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3207] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(430), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3220] = 4,
    ACTIONS(636), 1,
      anon_sym_RPAREN,
    ACTIONS(638), 1,
      anon_sym_PERCENT,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3233] = 4,
    ACTIONS(601), 1,
      sym_Name,
    ACTIONS(641), 1,
      anon_sym_GT,
    ACTIONS(643), 1,
      anon_sym_SLASH_GT,
    STATE(255), 1,
      sym_Attribute,
  [3246] = 4,
    ACTIONS(641), 1,
      anon_sym_GT,
    ACTIONS(643), 1,
      anon_sym_SLASH_GT,
    ACTIONS(645), 1,
      sym__S,
    STATE(176), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3259] = 4,
    ACTIONS(619), 1,
      anon_sym_LT,
    STATE(3), 1,
      sym_STag,
    STATE(41), 1,
      sym_element,
    STATE(189), 1,
      sym_EmptyElemTag,
  [3272] = 1,
    ACTIONS(368), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3279] = 3,
    ACTIONS(597), 1,
      anon_sym_PERCENT,
    ACTIONS(647), 1,
      sym__S,
    STATE(154), 2,
      sym__DeclSep,
      sym_PEReference,
  [3290] = 1,
    ACTIONS(334), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3297] = 4,
    ACTIONS(649), 1,
      anon_sym_PIPE,
    ACTIONS(651), 1,
      anon_sym_RPAREN,
    ACTIONS(653), 1,
      sym__S,
    STATE(196), 1,
      aux_sym_Enumeration_repeat1,
  [3310] = 1,
    ACTIONS(655), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3317] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(502), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3330] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(657), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3343] = 1,
    ACTIONS(196), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3350] = 4,
    ACTIONS(649), 1,
      anon_sym_PIPE,
    ACTIONS(659), 1,
      anon_sym_RPAREN,
    ACTIONS(661), 1,
      sym__S,
    STATE(200), 1,
      aux_sym_Enumeration_repeat1,
  [3363] = 4,
    ACTIONS(649), 1,
      anon_sym_PIPE,
    ACTIONS(659), 1,
      anon_sym_RPAREN,
    ACTIONS(661), 1,
      sym__S,
    STATE(201), 1,
      aux_sym_Enumeration_repeat1,
  [3376] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(663), 1,
      sym_Name,
    ACTIONS(665), 1,
      sym__S,
    STATE(114), 1,
      sym_PEReference,
  [3389] = 1,
    ACTIONS(667), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3396] = 4,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(669), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      aux_sym_Mixed_repeat2,
    STATE(246), 1,
      sym_PEReference,
  [3409] = 4,
    ACTIONS(649), 1,
      anon_sym_PIPE,
    ACTIONS(671), 1,
      anon_sym_RPAREN,
    ACTIONS(673), 1,
      sym__S,
    STATE(201), 1,
      aux_sym_Enumeration_repeat1,
  [3422] = 4,
    ACTIONS(675), 1,
      anon_sym_PIPE,
    ACTIONS(678), 1,
      anon_sym_RPAREN,
    ACTIONS(680), 1,
      sym__S,
    STATE(201), 1,
      aux_sym_Enumeration_repeat1,
  [3435] = 1,
    ACTIONS(338), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3442] = 2,
    ACTIONS(685), 1,
      sym__S,
    ACTIONS(683), 3,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym_Name,
  [3451] = 1,
    ACTIONS(526), 4,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [3458] = 2,
    ACTIONS(688), 1,
      sym__S,
    ACTIONS(526), 3,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym_Name,
  [3467] = 1,
    ACTIONS(691), 4,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [3474] = 2,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3483] = 4,
    ACTIONS(697), 1,
      anon_sym_QMARK_GT,
    ACTIONS(699), 1,
      sym__S,
    STATE(251), 1,
      sym__EncodingDecl,
    STATE(353), 1,
      sym__SDDecl,
  [3496] = 2,
    ACTIONS(703), 1,
      anon_sym_LT,
    ACTIONS(701), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3505] = 3,
    ACTIONS(705), 1,
      anon_sym_GT,
    ACTIONS(707), 1,
      sym__S,
    STATE(161), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3516] = 2,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3525] = 4,
    ACTIONS(626), 1,
      anon_sym_GT,
    ACTIONS(713), 1,
      anon_sym_SLASH_GT,
    ACTIONS(715), 1,
      sym__S,
    STATE(214), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3538] = 4,
    ACTIONS(601), 1,
      sym_Name,
    ACTIONS(641), 1,
      anon_sym_GT,
    ACTIONS(717), 1,
      anon_sym_SLASH_GT,
    STATE(255), 1,
      sym_Attribute,
  [3551] = 4,
    ACTIONS(641), 1,
      anon_sym_GT,
    ACTIONS(717), 1,
      anon_sym_SLASH_GT,
    ACTIONS(719), 1,
      sym__S,
    STATE(176), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3564] = 4,
    ACTIONS(601), 1,
      sym_Name,
    ACTIONS(603), 1,
      anon_sym_GT,
    ACTIONS(721), 1,
      anon_sym_SLASH_GT,
    STATE(255), 1,
      sym_Attribute,
  [3577] = 1,
    ACTIONS(364), 4,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_QMARK,
      sym__S,
  [3584] = 2,
    ACTIONS(725), 1,
      anon_sym_LT,
    ACTIONS(723), 3,
      sym_Comment,
      anon_sym_LT_QMARK,
      sym__S,
  [3593] = 1,
    ACTIONS(727), 3,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym__S,
  [3599] = 1,
    ACTIONS(729), 3,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym__S,
  [3605] = 3,
    ACTIONS(731), 1,
      anon_sym_QMARK_GT,
    ACTIONS(733), 1,
      sym__S,
    STATE(248), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3615] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(263), 1,
      sym__Eq,
  [3625] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(632), 1,
      sym_Name,
    STATE(191), 1,
      sym_PEReference,
  [3635] = 2,
    ACTIONS(741), 1,
      anon_sym_STAR,
    ACTIONS(739), 2,
      anon_sym_GT,
      sym__S,
  [3643] = 3,
    ACTIONS(743), 1,
      sym_Name,
    ACTIONS(745), 1,
      anon_sym_QMARK_GT,
    STATE(368), 1,
      sym_PseudoAtt,
  [3653] = 3,
    ACTIONS(747), 1,
      anon_sym_QMARK_GT,
    ACTIONS(749), 1,
      sym__S,
    STATE(225), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3663] = 3,
    ACTIONS(752), 1,
      anon_sym_GT,
    ACTIONS(754), 1,
      sym__S,
    STATE(342), 1,
      sym_NDataDecl,
  [3673] = 3,
    ACTIONS(743), 1,
      sym_Name,
    ACTIONS(756), 1,
      anon_sym_QMARK_GT,
    STATE(368), 1,
      sym_PseudoAtt,
  [3683] = 3,
    ACTIONS(562), 1,
      anon_sym_xml_DASHstylesheet,
    ACTIONS(564), 1,
      anon_sym_xml_DASHmodel,
    ACTIONS(566), 1,
      sym_PITarget,
  [3693] = 3,
    ACTIONS(743), 1,
      sym_Name,
    ACTIONS(758), 1,
      anon_sym_QMARK_GT,
    STATE(368), 1,
      sym_PseudoAtt,
  [3703] = 1,
    ACTIONS(552), 3,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3709] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    STATE(230), 1,
      sym_PEReference,
  [3719] = 3,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(762), 1,
      anon_sym_GT,
    ACTIONS(764), 1,
      sym__S,
  [3729] = 3,
    ACTIONS(766), 1,
      anon_sym_SQUOTE,
    ACTIONS(768), 1,
      anon_sym_DQUOTE,
    STATE(267), 1,
      sym_SystemLiteral,
  [3739] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(770), 1,
      sym_Name,
    STATE(293), 1,
      sym_PEReference,
  [3749] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(772), 1,
      sym_Name,
    STATE(198), 1,
      sym_PEReference,
  [3759] = 2,
    ACTIONS(776), 1,
      anon_sym_STAR,
    ACTIONS(774), 2,
      anon_sym_GT,
      sym__S,
  [3767] = 3,
    ACTIONS(778), 1,
      anon_sym_SQUOTE,
    ACTIONS(780), 1,
      anon_sym_DQUOTE,
    STATE(406), 1,
      sym_PubidLiteral,
  [3777] = 2,
    ACTIONS(784), 1,
      sym__S,
    ACTIONS(782), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
  [3785] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(488), 1,
      anon_sym_RPAREN,
    STATE(230), 1,
      sym_PEReference,
  [3795] = 1,
    ACTIONS(786), 3,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym__S,
  [3801] = 1,
    ACTIONS(788), 3,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym__S,
  [3807] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(568), 1,
      sym_Name,
    STATE(289), 1,
      sym_PEReference,
  [3817] = 3,
    ACTIONS(778), 1,
      anon_sym_SQUOTE,
    ACTIONS(780), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym_PubidLiteral,
  [3827] = 3,
    ACTIONS(778), 1,
      anon_sym_SQUOTE,
    ACTIONS(780), 1,
      anon_sym_DQUOTE,
    STATE(339), 1,
      sym_PubidLiteral,
  [3837] = 2,
    ACTIONS(792), 1,
      anon_sym_STAR,
    ACTIONS(790), 2,
      anon_sym_GT,
      sym__S,
  [3845] = 2,
    ACTIONS(796), 1,
      sym__S,
    ACTIONS(794), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [3853] = 3,
    ACTIONS(798), 1,
      anon_sym_QMARK_GT,
    ACTIONS(800), 1,
      sym__S,
    STATE(268), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3863] = 3,
    ACTIONS(756), 1,
      anon_sym_QMARK_GT,
    ACTIONS(802), 1,
      sym__S,
    STATE(225), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3873] = 1,
    ACTIONS(678), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3879] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(804), 1,
      sym_Name,
    STATE(115), 1,
      sym_PEReference,
  [3889] = 3,
    ACTIONS(806), 1,
      anon_sym_QMARK_GT,
    ACTIONS(808), 1,
      sym__S,
    STATE(338), 1,
      sym__SDDecl,
  [3899] = 3,
    ACTIONS(320), 1,
      anon_sym_SQUOTE,
    ACTIONS(322), 1,
      anon_sym_DQUOTE,
    STATE(319), 1,
      sym_AttValue,
  [3909] = 1,
    ACTIONS(810), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3915] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(273), 1,
      sym__Eq,
  [3925] = 1,
    ACTIONS(621), 3,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym__S,
  [3931] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(298), 1,
      sym__Eq,
  [3941] = 1,
    ACTIONS(812), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3947] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(814), 1,
      sym_Name,
    STATE(419), 1,
      sym_PEReference,
  [3957] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(816), 1,
      sym_Name,
    STATE(210), 1,
      sym_PEReference,
  [3967] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(372), 1,
      sym__Eq,
  [3977] = 3,
    ACTIONS(735), 1,
      sym__S,
    ACTIONS(737), 1,
      anon_sym_EQ,
    STATE(299), 1,
      sym__Eq,
  [3987] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(818), 1,
      sym_Name,
    STATE(422), 1,
      sym_PEReference,
  [3997] = 3,
    ACTIONS(820), 1,
      anon_sym_SQUOTE,
    ACTIONS(822), 1,
      anon_sym_DQUOTE,
    STATE(361), 1,
      sym_PseudoAttValue,
  [4007] = 3,
    ACTIONS(824), 1,
      sym_Name,
    ACTIONS(826), 1,
      anon_sym_PERCENT,
    STATE(424), 1,
      sym_PEReference,
  [4017] = 3,
    ACTIONS(743), 1,
      sym_Name,
    ACTIONS(828), 1,
      anon_sym_QMARK_GT,
    STATE(368), 1,
      sym_PseudoAtt,
  [4027] = 2,
    ACTIONS(832), 1,
      sym__S,
    ACTIONS(830), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
  [4035] = 1,
    ACTIONS(834), 3,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym__S,
  [4041] = 3,
    ACTIONS(828), 1,
      anon_sym_QMARK_GT,
    ACTIONS(836), 1,
      sym__S,
    STATE(225), 1,
      aux_sym_StyleSheetPI_repeat1,
  [4051] = 3,
    ACTIONS(806), 1,
      anon_sym_QMARK_GT,
    ACTIONS(838), 1,
      anon_sym_standalone,
    ACTIONS(840), 1,
      anon_sym_encoding,
  [4061] = 1,
    ACTIONS(842), 3,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym__S,
  [4067] = 2,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(844), 2,
      anon_sym_GT,
      sym__S,
  [4075] = 3,
    ACTIONS(766), 1,
      anon_sym_SQUOTE,
    ACTIONS(768), 1,
      anon_sym_DQUOTE,
    STATE(218), 1,
      sym_SystemLiteral,
  [4085] = 3,
    ACTIONS(848), 1,
      anon_sym_SQUOTE,
    ACTIONS(850), 1,
      anon_sym_DQUOTE,
    STATE(219), 1,
      sym_AttValue,
  [4095] = 3,
    ACTIONS(852), 1,
      anon_sym_LBRACK,
    ACTIONS(854), 1,
      anon_sym_GT,
    ACTIONS(856), 1,
      sym__S,
  [4105] = 3,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    ACTIONS(858), 1,
      anon_sym_RPAREN,
    STATE(230), 1,
      sym_PEReference,
  [4115] = 1,
    ACTIONS(860), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4120] = 2,
    ACTIONS(862), 1,
      anon_sym_GT,
    ACTIONS(864), 1,
      sym__S,
  [4127] = 2,
    ACTIONS(866), 1,
      anon_sym_LBRACK,
    ACTIONS(868), 1,
      anon_sym_GT,
  [4134] = 1,
    ACTIONS(870), 2,
      anon_sym_yes,
      anon_sym_no,
  [4139] = 1,
    ACTIONS(872), 2,
      anon_sym_PERCENT,
      sym__S,
  [4144] = 1,
    ACTIONS(739), 2,
      anon_sym_GT,
      sym__S,
  [4149] = 1,
    ACTIONS(504), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [4154] = 2,
    ACTIONS(150), 1,
      anon_sym_PERCENT,
    STATE(230), 1,
      sym_PEReference,
  [4161] = 1,
    ACTIONS(874), 2,
      anon_sym_PERCENT,
      sym__S,
  [4166] = 2,
    ACTIONS(876), 1,
      sym__S,
    ACTIONS(878), 1,
      sym_Nmtoken,
  [4173] = 1,
    ACTIONS(880), 2,
      anon_sym_GT,
      sym__S,
  [4178] = 2,
    ACTIONS(659), 1,
      anon_sym_RPAREN,
    ACTIONS(882), 1,
      anon_sym_PIPE,
  [4185] = 2,
    ACTIONS(884), 1,
      anon_sym_GT,
    ACTIONS(886), 1,
      sym__S,
  [4192] = 2,
    ACTIONS(588), 1,
      anon_sym_GT,
    ACTIONS(888), 1,
      sym__S,
  [4199] = 1,
    ACTIONS(891), 2,
      anon_sym_GT,
      sym__S,
  [4204] = 1,
    ACTIONS(893), 2,
      anon_sym_GT,
      sym__S,
  [4209] = 1,
    ACTIONS(895), 2,
      anon_sym_PERCENT,
      sym__S,
  [4214] = 1,
    ACTIONS(897), 2,
      anon_sym_GT,
      sym__S,
  [4219] = 1,
    ACTIONS(899), 2,
      anon_sym_yes,
      anon_sym_no,
  [4224] = 1,
    ACTIONS(790), 2,
      anon_sym_GT,
      sym__S,
  [4229] = 1,
    ACTIONS(636), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [4234] = 1,
    ACTIONS(901), 2,
      anon_sym_PERCENT,
      sym__S,
  [4239] = 2,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
  [4246] = 2,
    ACTIONS(907), 1,
      anon_sym_SQUOTE,
    ACTIONS(909), 1,
      anon_sym_DQUOTE,
  [4253] = 1,
    ACTIONS(911), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4258] = 1,
    ACTIONS(913), 2,
      anon_sym_GT,
      sym__S,
  [4263] = 2,
    ACTIONS(671), 1,
      anon_sym_RPAREN,
    ACTIONS(882), 1,
      anon_sym_PIPE,
  [4270] = 1,
    ACTIONS(915), 2,
      anon_sym_PERCENT,
      sym__S,
  [4275] = 2,
    ACTIONS(752), 1,
      anon_sym_GT,
    ACTIONS(917), 1,
      sym__S,
  [4282] = 2,
    ACTIONS(919), 1,
      sym__S,
    ACTIONS(921), 1,
      sym_Nmtoken,
  [4289] = 1,
    ACTIONS(923), 2,
      anon_sym_GT,
      sym__S,
  [4294] = 1,
    ACTIONS(925), 2,
      anon_sym_GT,
      sym__S,
  [4299] = 2,
    ACTIONS(854), 1,
      anon_sym_GT,
    ACTIONS(927), 1,
      sym__S,
  [4306] = 2,
    ACTIONS(929), 1,
      sym__S,
    ACTIONS(931), 1,
      sym_Nmtoken,
  [4313] = 1,
    ACTIONS(933), 2,
      anon_sym_GT,
      sym__S,
  [4318] = 1,
    ACTIONS(935), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4323] = 1,
    ACTIONS(937), 2,
      anon_sym_GT,
      sym__S,
  [4328] = 2,
    ACTIONS(882), 1,
      anon_sym_PIPE,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
  [4335] = 1,
    ACTIONS(941), 2,
      anon_sym_PERCENT,
      sym__S,
  [4340] = 2,
    ACTIONS(868), 1,
      anon_sym_GT,
    ACTIONS(943), 1,
      sym__S,
  [4347] = 1,
    ACTIONS(945), 2,
      anon_sym_PERCENT,
      sym__S,
  [4352] = 2,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 1,
      sym__S,
  [4359] = 1,
    ACTIONS(951), 2,
      anon_sym_GT,
      sym__S,
  [4364] = 1,
    ACTIONS(953), 2,
      anon_sym_GT,
      sym__S,
  [4369] = 1,
    ACTIONS(955), 2,
      anon_sym_GT,
      sym__S,
  [4374] = 1,
    ACTIONS(957), 2,
      anon_sym_GT,
      sym__S,
  [4379] = 2,
    ACTIONS(959), 1,
      anon_sym_GT,
    ACTIONS(961), 1,
      sym__S,
  [4386] = 2,
    ACTIONS(963), 1,
      anon_sym_RPAREN,
    ACTIONS(965), 1,
      sym__S,
  [4393] = 1,
    ACTIONS(830), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
  [4398] = 1,
    ACTIONS(967), 2,
      anon_sym_PERCENT,
      sym__S,
  [4403] = 1,
    ACTIONS(969), 2,
      anon_sym_GT,
      sym__S,
  [4408] = 1,
    ACTIONS(971), 2,
      anon_sym_GT,
      sym__S,
  [4413] = 2,
    ACTIONS(973), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(975), 1,
      sym_CData,
  [4420] = 1,
    ACTIONS(977), 2,
      anon_sym_GT,
      sym__S,
  [4425] = 2,
    ACTIONS(979), 1,
      anon_sym_RPAREN,
    ACTIONS(981), 1,
      sym__S,
  [4432] = 2,
    ACTIONS(983), 1,
      anon_sym_GT,
    ACTIONS(985), 1,
      anon_sym_NDATA,
  [4439] = 1,
    ACTIONS(987), 2,
      anon_sym_GT,
      sym__S,
  [4444] = 1,
    ACTIONS(989), 2,
      anon_sym_GT,
      sym__S,
  [4449] = 2,
    ACTIONS(991), 1,
      anon_sym_QMARK_GT,
    ACTIONS(993), 1,
      sym__S,
  [4456] = 2,
    ACTIONS(995), 1,
      anon_sym_GT,
    ACTIONS(997), 1,
      sym__S,
  [4463] = 2,
    ACTIONS(999), 1,
      sym__S,
    STATE(208), 1,
      sym__VersionInfo,
  [4470] = 2,
    ACTIONS(838), 1,
      anon_sym_standalone,
    ACTIONS(1001), 1,
      anon_sym_QMARK_GT,
  [4477] = 2,
    ACTIONS(1001), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1003), 1,
      sym__S,
  [4484] = 1,
    ACTIONS(995), 2,
      anon_sym_GT,
      sym__S,
  [4489] = 1,
    ACTIONS(1005), 2,
      anon_sym_PERCENT,
      sym__S,
  [4494] = 2,
    ACTIONS(743), 1,
      sym_Name,
    STATE(368), 1,
      sym_PseudoAtt,
  [4501] = 2,
    ACTIONS(983), 1,
      anon_sym_GT,
    ACTIONS(1007), 1,
      sym__S,
  [4508] = 1,
    ACTIONS(1009), 2,
      anon_sym_PERCENT,
      sym__S,
  [4513] = 2,
    ACTIONS(1011), 1,
      anon_sym_GT,
    ACTIONS(1013), 1,
      sym__S,
  [4520] = 2,
    ACTIONS(1015), 1,
      anon_sym_GT,
    ACTIONS(1017), 1,
      sym__S,
  [4527] = 2,
    ACTIONS(1019), 1,
      anon_sym_GT,
    ACTIONS(1021), 1,
      sym__S,
  [4534] = 1,
    ACTIONS(786), 2,
      anon_sym_GT,
      sym__S,
  [4539] = 1,
    ACTIONS(842), 2,
      anon_sym_GT,
      sym__S,
  [4544] = 1,
    ACTIONS(1023), 2,
      anon_sym_PERCENT,
      sym__S,
  [4549] = 2,
    ACTIONS(29), 1,
      anon_sym_LT_SLASH,
    STATE(194), 1,
      sym_ETag,
  [4556] = 1,
    ACTIONS(342), 2,
      anon_sym_PERCENT,
      sym__S,
  [4561] = 1,
    ACTIONS(1025), 2,
      anon_sym_GT,
      sym__S,
  [4566] = 2,
    ACTIONS(806), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1027), 1,
      sym__S,
  [4573] = 1,
    ACTIONS(360), 2,
      anon_sym_PERCENT,
      sym__S,
  [4578] = 1,
    ACTIONS(774), 2,
      anon_sym_GT,
      sym__S,
  [4583] = 1,
    ACTIONS(1029), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4588] = 1,
    ACTIONS(1031), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4593] = 1,
    ACTIONS(1033), 2,
      anon_sym_GT,
      sym__S,
  [4598] = 2,
    ACTIONS(1035), 1,
      sym_Name,
    ACTIONS(1037), 1,
      sym__S,
  [4605] = 1,
    ACTIONS(1039), 2,
      sym_CData,
      anon_sym_RBRACK_RBRACK_GT,
  [4610] = 1,
    ACTIONS(1041), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4615] = 1,
    ACTIONS(1043), 2,
      anon_sym_PERCENT,
      sym__S,
  [4620] = 1,
    ACTIONS(1045), 2,
      anon_sym_GT,
      sym__S,
  [4625] = 2,
    ACTIONS(1047), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1049), 1,
      sym__S,
  [4632] = 1,
    ACTIONS(1051), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
  [4637] = 2,
    ACTIONS(17), 1,
      anon_sym_LT_SLASH,
    STATE(35), 1,
      sym_ETag,
  [4644] = 1,
    ACTIONS(1053), 2,
      anon_sym_PERCENT,
      sym__S,
  [4649] = 1,
    ACTIONS(747), 2,
      anon_sym_QMARK_GT,
      sym__S,
  [4654] = 2,
    ACTIONS(1055), 1,
      anon_sym_GT,
    ACTIONS(1057), 1,
      sym__S,
  [4661] = 2,
    ACTIONS(1059), 1,
      anon_sym_GT,
    ACTIONS(1061), 1,
      sym__S,
  [4668] = 2,
    ACTIONS(1063), 1,
      anon_sym_GT,
    ACTIONS(1065), 1,
      sym__S,
  [4675] = 2,
    ACTIONS(1067), 1,
      anon_sym_SQUOTE,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
  [4682] = 2,
    ACTIONS(601), 1,
      sym_Name,
    STATE(255), 1,
      sym_Attribute,
  [4689] = 1,
    ACTIONS(1071), 2,
      anon_sym_PERCENT,
      sym__S,
  [4694] = 2,
    ACTIONS(1073), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1075), 1,
      sym__S,
  [4701] = 1,
    ACTIONS(1077), 2,
      anon_sym_GT,
      sym__S,
  [4706] = 1,
    ACTIONS(983), 1,
      anon_sym_GT,
  [4710] = 1,
    ACTIONS(1079), 1,
      aux_sym_CharRef_token2,
  [4714] = 1,
    ACTIONS(1081), 1,
      anon_sym_EQ,
  [4718] = 1,
    ACTIONS(921), 1,
      sym_Nmtoken,
  [4722] = 1,
    ACTIONS(1083), 1,
      sym__S,
  [4726] = 1,
    ACTIONS(1085), 1,
      sym__S,
  [4730] = 1,
    ACTIONS(1087), 1,
      anon_sym_GT,
  [4734] = 1,
    ACTIONS(1089), 1,
      sym__S,
  [4738] = 1,
    ACTIONS(1091), 1,
      anon_sym_SQUOTE,
  [4742] = 1,
    ACTIONS(1093), 1,
      sym__S,
  [4746] = 1,
    ACTIONS(1091), 1,
      anon_sym_DQUOTE,
  [4750] = 1,
    ACTIONS(1095), 1,
      anon_sym_STAR,
  [4754] = 1,
    ACTIONS(1097), 1,
      ts_builtin_sym_end,
  [4758] = 1,
    ACTIONS(1099), 1,
      sym_VersionNum,
  [4762] = 1,
    ACTIONS(1011), 1,
      anon_sym_GT,
  [4766] = 1,
    ACTIONS(741), 1,
      anon_sym_STAR,
  [4770] = 1,
    ACTIONS(1101), 1,
      sym_Nmtoken,
  [4774] = 1,
    ACTIONS(882), 1,
      anon_sym_PIPE,
  [4778] = 1,
    ACTIONS(1103), 1,
      sym_EncName,
  [4782] = 1,
    ACTIONS(1105), 1,
      anon_sym_GT,
  [4786] = 1,
    ACTIONS(1107), 1,
      anon_sym_PIPE,
  [4790] = 1,
    ACTIONS(1109), 1,
      anon_sym_SEMI,
  [4794] = 1,
    ACTIONS(1111), 1,
      sym_EncName,
  [4798] = 1,
    ACTIONS(1113), 1,
      aux_sym_SystemLiteral_token2,
  [4802] = 1,
    ACTIONS(1115), 1,
      aux_sym_SystemLiteral_token1,
  [4806] = 1,
    ACTIONS(1117), 1,
      sym_VersionNum,
  [4810] = 1,
    ACTIONS(1119), 1,
      aux_sym_PubidLiteral_token2,
  [4814] = 1,
    ACTIONS(1121), 1,
      aux_sym_PubidLiteral_token1,
  [4818] = 1,
    ACTIONS(1123), 1,
      anon_sym_GT,
  [4822] = 1,
    ACTIONS(997), 1,
      sym__S,
  [4826] = 1,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
  [4830] = 1,
    ACTIONS(1127), 1,
      anon_sym_SEMI,
  [4834] = 1,
    ACTIONS(963), 1,
      anon_sym_RPAREN,
  [4838] = 1,
    ACTIONS(1129), 1,
      anon_sym_SEMI,
  [4842] = 1,
    ACTIONS(1131), 1,
      sym__S,
  [4846] = 1,
    ACTIONS(979), 1,
      anon_sym_RPAREN,
  [4850] = 1,
    ACTIONS(1133), 1,
      sym__S,
  [4854] = 1,
    ACTIONS(1135), 1,
      sym__S,
  [4858] = 1,
    ACTIONS(1137), 1,
      sym_Nmtoken,
  [4862] = 1,
    ACTIONS(1139), 1,
      anon_sym_RPAREN,
  [4866] = 1,
    ACTIONS(1141), 1,
      anon_sym_GT,
  [4870] = 1,
    ACTIONS(1143), 1,
      anon_sym_LPAREN,
  [4874] = 1,
    ACTIONS(1145), 1,
      sym__S,
  [4878] = 1,
    ACTIONS(1147), 1,
      sym__S,
  [4882] = 1,
    ACTIONS(1149), 1,
      anon_sym_GT,
  [4886] = 1,
    ACTIONS(1151), 1,
      sym__S,
  [4890] = 1,
    ACTIONS(1153), 1,
      anon_sym_QMARK_GT,
  [4894] = 1,
    ACTIONS(1155), 1,
      sym__S,
  [4898] = 1,
    ACTIONS(868), 1,
      anon_sym_GT,
  [4902] = 1,
    ACTIONS(1157), 1,
      sym__start_tag_name,
  [4906] = 1,
    ACTIONS(1063), 1,
      anon_sym_GT,
  [4910] = 1,
    ACTIONS(776), 1,
      anon_sym_STAR,
  [4914] = 1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
  [4918] = 1,
    ACTIONS(500), 1,
      anon_sym_PIPE,
  [4922] = 1,
    ACTIONS(1159), 1,
      anon_sym_DQUOTE,
  [4926] = 1,
    ACTIONS(1161), 1,
      anon_sym_SQUOTE,
  [4930] = 1,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
  [4934] = 1,
    ACTIONS(1001), 1,
      anon_sym_QMARK_GT,
  [4938] = 1,
    ACTIONS(1163), 1,
      anon_sym_RBRACK_RBRACK_GT,
  [4942] = 1,
    ACTIONS(1165), 1,
      anon_sym_DOCTYPE,
  [4946] = 1,
    ACTIONS(1079), 1,
      aux_sym_CharRef_token1,
  [4950] = 1,
    ACTIONS(1167), 1,
      sym__S,
  [4954] = 1,
    ACTIONS(1169), 1,
      anon_sym_QMARK_GT,
  [4958] = 1,
    ACTIONS(1171), 1,
      sym_Name,
  [4962] = 1,
    ACTIONS(1173), 1,
      sym_PITarget,
  [4966] = 1,
    ACTIONS(1175), 1,
      sym__end_tag_name,
  [4970] = 1,
    ACTIONS(1177), 1,
      sym_Name,
  [4974] = 1,
    ACTIONS(1179), 1,
      anon_sym_CDATA,
  [4978] = 1,
    ACTIONS(1181), 1,
      anon_sym_GT,
  [4982] = 1,
    ACTIONS(1183), 1,
      sym__pi_content,
  [4986] = 1,
    ACTIONS(1185), 1,
      sym__S,
  [4990] = 1,
    ACTIONS(1187), 1,
      sym__S,
  [4994] = 1,
    ACTIONS(1189), 1,
      sym__S,
  [4998] = 1,
    ACTIONS(1019), 1,
      anon_sym_GT,
  [5002] = 1,
    ACTIONS(1191), 1,
      anon_sym_version,
  [5006] = 1,
    ACTIONS(1193), 1,
      sym__S,
  [5010] = 1,
    ACTIONS(1195), 1,
      anon_sym_SQUOTE,
  [5014] = 1,
    ACTIONS(1197), 1,
      anon_sym_SEMI,
  [5018] = 1,
    ACTIONS(1199), 1,
      anon_sym_SEMI,
  [5022] = 1,
    ACTIONS(1201), 1,
      anon_sym_QMARK_GT,
  [5026] = 1,
    ACTIONS(792), 1,
      anon_sym_STAR,
  [5030] = 1,
    ACTIONS(1203), 1,
      anon_sym_GT,
  [5034] = 1,
    ACTIONS(1195), 1,
      anon_sym_DQUOTE,
  [5038] = 1,
    ACTIONS(1205), 1,
      anon_sym_SQUOTE,
  [5042] = 1,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
  [5046] = 1,
    ACTIONS(1207), 1,
      sym_Name,
  [5050] = 1,
    ACTIONS(1209), 1,
      anon_sym_SEMI,
  [5054] = 1,
    ACTIONS(1211), 1,
      sym__S,
  [5058] = 1,
    ACTIONS(1213), 1,
      anon_sym_SEMI,
  [5062] = 1,
    ACTIONS(1215), 1,
      anon_sym_SEMI,
  [5066] = 1,
    ACTIONS(1217), 1,
      anon_sym_QMARK_GT,
  [5070] = 1,
    ACTIONS(1219), 1,
      anon_sym_SEMI,
  [5074] = 1,
    ACTIONS(1221), 1,
      anon_sym_SEMI,
  [5078] = 1,
    ACTIONS(1223), 1,
      anon_sym_SEMI,
  [5082] = 1,
    ACTIONS(1225), 1,
      anon_sym_SEMI,
  [5086] = 1,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
  [5090] = 1,
    ACTIONS(1229), 1,
      anon_sym_SEMI,
  [5094] = 1,
    ACTIONS(1231), 1,
      sym__start_tag_name,
  [5098] = 1,
    ACTIONS(1233), 1,
      sym_PITarget,
  [5102] = 1,
    ACTIONS(1235), 1,
      sym__end_tag_name,
  [5106] = 1,
    ACTIONS(1237), 1,
      sym_Name,
  [5110] = 1,
    ACTIONS(1239), 1,
      aux_sym_CharRef_token1,
  [5114] = 1,
    ACTIONS(1239), 1,
      aux_sym_CharRef_token2,
  [5118] = 1,
    ACTIONS(1241), 1,
      sym__pi_content,
  [5122] = 1,
    ACTIONS(1035), 1,
      sym_Name,
  [5126] = 1,
    ACTIONS(1243), 1,
      sym_Name,
  [5130] = 1,
    ACTIONS(1245), 1,
      aux_sym_CharRef_token1,
  [5134] = 1,
    ACTIONS(1245), 1,
      aux_sym_CharRef_token2,
  [5138] = 1,
    ACTIONS(1247), 1,
      sym__pi_content,
  [5142] = 1,
    ACTIONS(1249), 1,
      sym_Name,
  [5146] = 1,
    ACTIONS(1251), 1,
      sym_Name,
  [5150] = 1,
    ACTIONS(1253), 1,
      aux_sym_CharRef_token1,
  [5154] = 1,
    ACTIONS(1253), 1,
      aux_sym_CharRef_token2,
  [5158] = 1,
    ACTIONS(1255), 1,
      sym_Name,
  [5162] = 1,
    ACTIONS(1257), 1,
      sym_Name,
  [5166] = 1,
    ACTIONS(1259), 1,
      aux_sym_CharRef_token1,
  [5170] = 1,
    ACTIONS(1259), 1,
      aux_sym_CharRef_token2,
  [5174] = 1,
    ACTIONS(1261), 1,
      sym_Name,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 52,
  [SMALL_STATE(4)] = 104,
  [SMALL_STATE(5)] = 150,
  [SMALL_STATE(6)] = 196,
  [SMALL_STATE(7)] = 235,
  [SMALL_STATE(8)] = 268,
  [SMALL_STATE(9)] = 301,
  [SMALL_STATE(10)] = 334,
  [SMALL_STATE(11)] = 367,
  [SMALL_STATE(12)] = 400,
  [SMALL_STATE(13)] = 433,
  [SMALL_STATE(14)] = 466,
  [SMALL_STATE(15)] = 499,
  [SMALL_STATE(16)] = 532,
  [SMALL_STATE(17)] = 559,
  [SMALL_STATE(18)] = 586,
  [SMALL_STATE(19)] = 613,
  [SMALL_STATE(20)] = 640,
  [SMALL_STATE(21)] = 664,
  [SMALL_STATE(22)] = 688,
  [SMALL_STATE(23)] = 712,
  [SMALL_STATE(24)] = 740,
  [SMALL_STATE(25)] = 768,
  [SMALL_STATE(26)] = 790,
  [SMALL_STATE(27)] = 812,
  [SMALL_STATE(28)] = 840,
  [SMALL_STATE(29)] = 868,
  [SMALL_STATE(30)] = 896,
  [SMALL_STATE(31)] = 920,
  [SMALL_STATE(32)] = 942,
  [SMALL_STATE(33)] = 970,
  [SMALL_STATE(34)] = 998,
  [SMALL_STATE(35)] = 1011,
  [SMALL_STATE(36)] = 1025,
  [SMALL_STATE(37)] = 1049,
  [SMALL_STATE(38)] = 1073,
  [SMALL_STATE(39)] = 1091,
  [SMALL_STATE(40)] = 1109,
  [SMALL_STATE(41)] = 1123,
  [SMALL_STATE(42)] = 1141,
  [SMALL_STATE(43)] = 1159,
  [SMALL_STATE(44)] = 1183,
  [SMALL_STATE(45)] = 1207,
  [SMALL_STATE(46)] = 1231,
  [SMALL_STATE(47)] = 1255,
  [SMALL_STATE(48)] = 1273,
  [SMALL_STATE(49)] = 1291,
  [SMALL_STATE(50)] = 1305,
  [SMALL_STATE(51)] = 1323,
  [SMALL_STATE(52)] = 1337,
  [SMALL_STATE(53)] = 1359,
  [SMALL_STATE(54)] = 1377,
  [SMALL_STATE(55)] = 1395,
  [SMALL_STATE(56)] = 1409,
  [SMALL_STATE(57)] = 1423,
  [SMALL_STATE(58)] = 1437,
  [SMALL_STATE(59)] = 1455,
  [SMALL_STATE(60)] = 1469,
  [SMALL_STATE(61)] = 1493,
  [SMALL_STATE(62)] = 1517,
  [SMALL_STATE(63)] = 1529,
  [SMALL_STATE(64)] = 1547,
  [SMALL_STATE(65)] = 1565,
  [SMALL_STATE(66)] = 1577,
  [SMALL_STATE(67)] = 1601,
  [SMALL_STATE(68)] = 1613,
  [SMALL_STATE(69)] = 1625,
  [SMALL_STATE(70)] = 1637,
  [SMALL_STATE(71)] = 1651,
  [SMALL_STATE(72)] = 1665,
  [SMALL_STATE(73)] = 1679,
  [SMALL_STATE(74)] = 1693,
  [SMALL_STATE(75)] = 1717,
  [SMALL_STATE(76)] = 1731,
  [SMALL_STATE(77)] = 1745,
  [SMALL_STATE(78)] = 1759,
  [SMALL_STATE(79)] = 1773,
  [SMALL_STATE(80)] = 1787,
  [SMALL_STATE(81)] = 1801,
  [SMALL_STATE(82)] = 1825,
  [SMALL_STATE(83)] = 1849,
  [SMALL_STATE(84)] = 1873,
  [SMALL_STATE(85)] = 1897,
  [SMALL_STATE(86)] = 1921,
  [SMALL_STATE(87)] = 1942,
  [SMALL_STATE(88)] = 1955,
  [SMALL_STATE(89)] = 1976,
  [SMALL_STATE(90)] = 1997,
  [SMALL_STATE(91)] = 2018,
  [SMALL_STATE(92)] = 2043,
  [SMALL_STATE(93)] = 2063,
  [SMALL_STATE(94)] = 2083,
  [SMALL_STATE(95)] = 2105,
  [SMALL_STATE(96)] = 2127,
  [SMALL_STATE(97)] = 2149,
  [SMALL_STATE(98)] = 2171,
  [SMALL_STATE(99)] = 2191,
  [SMALL_STATE(100)] = 2213,
  [SMALL_STATE(101)] = 2224,
  [SMALL_STATE(102)] = 2235,
  [SMALL_STATE(103)] = 2252,
  [SMALL_STATE(104)] = 2271,
  [SMALL_STATE(105)] = 2282,
  [SMALL_STATE(106)] = 2293,
  [SMALL_STATE(107)] = 2310,
  [SMALL_STATE(108)] = 2321,
  [SMALL_STATE(109)] = 2338,
  [SMALL_STATE(110)] = 2355,
  [SMALL_STATE(111)] = 2370,
  [SMALL_STATE(112)] = 2381,
  [SMALL_STATE(113)] = 2392,
  [SMALL_STATE(114)] = 2409,
  [SMALL_STATE(115)] = 2428,
  [SMALL_STATE(116)] = 2447,
  [SMALL_STATE(117)] = 2466,
  [SMALL_STATE(118)] = 2485,
  [SMALL_STATE(119)] = 2496,
  [SMALL_STATE(120)] = 2507,
  [SMALL_STATE(121)] = 2518,
  [SMALL_STATE(122)] = 2529,
  [SMALL_STATE(123)] = 2540,
  [SMALL_STATE(124)] = 2551,
  [SMALL_STATE(125)] = 2562,
  [SMALL_STATE(126)] = 2573,
  [SMALL_STATE(127)] = 2584,
  [SMALL_STATE(128)] = 2598,
  [SMALL_STATE(129)] = 2608,
  [SMALL_STATE(130)] = 2618,
  [SMALL_STATE(131)] = 2634,
  [SMALL_STATE(132)] = 2648,
  [SMALL_STATE(133)] = 2656,
  [SMALL_STATE(134)] = 2664,
  [SMALL_STATE(135)] = 2672,
  [SMALL_STATE(136)] = 2680,
  [SMALL_STATE(137)] = 2694,
  [SMALL_STATE(138)] = 2704,
  [SMALL_STATE(139)] = 2718,
  [SMALL_STATE(140)] = 2734,
  [SMALL_STATE(141)] = 2748,
  [SMALL_STATE(142)] = 2762,
  [SMALL_STATE(143)] = 2772,
  [SMALL_STATE(144)] = 2788,
  [SMALL_STATE(145)] = 2798,
  [SMALL_STATE(146)] = 2808,
  [SMALL_STATE(147)] = 2818,
  [SMALL_STATE(148)] = 2834,
  [SMALL_STATE(149)] = 2844,
  [SMALL_STATE(150)] = 2854,
  [SMALL_STATE(151)] = 2864,
  [SMALL_STATE(152)] = 2878,
  [SMALL_STATE(153)] = 2886,
  [SMALL_STATE(154)] = 2900,
  [SMALL_STATE(155)] = 2908,
  [SMALL_STATE(156)] = 2916,
  [SMALL_STATE(157)] = 2932,
  [SMALL_STATE(158)] = 2942,
  [SMALL_STATE(159)] = 2956,
  [SMALL_STATE(160)] = 2969,
  [SMALL_STATE(161)] = 2982,
  [SMALL_STATE(162)] = 2993,
  [SMALL_STATE(163)] = 3006,
  [SMALL_STATE(164)] = 3015,
  [SMALL_STATE(165)] = 3028,
  [SMALL_STATE(166)] = 3039,
  [SMALL_STATE(167)] = 3048,
  [SMALL_STATE(168)] = 3059,
  [SMALL_STATE(169)] = 3066,
  [SMALL_STATE(170)] = 3079,
  [SMALL_STATE(171)] = 3088,
  [SMALL_STATE(172)] = 3097,
  [SMALL_STATE(173)] = 3110,
  [SMALL_STATE(174)] = 3123,
  [SMALL_STATE(175)] = 3136,
  [SMALL_STATE(176)] = 3143,
  [SMALL_STATE(177)] = 3154,
  [SMALL_STATE(178)] = 3161,
  [SMALL_STATE(179)] = 3174,
  [SMALL_STATE(180)] = 3181,
  [SMALL_STATE(181)] = 3194,
  [SMALL_STATE(182)] = 3207,
  [SMALL_STATE(183)] = 3220,
  [SMALL_STATE(184)] = 3233,
  [SMALL_STATE(185)] = 3246,
  [SMALL_STATE(186)] = 3259,
  [SMALL_STATE(187)] = 3272,
  [SMALL_STATE(188)] = 3279,
  [SMALL_STATE(189)] = 3290,
  [SMALL_STATE(190)] = 3297,
  [SMALL_STATE(191)] = 3310,
  [SMALL_STATE(192)] = 3317,
  [SMALL_STATE(193)] = 3330,
  [SMALL_STATE(194)] = 3343,
  [SMALL_STATE(195)] = 3350,
  [SMALL_STATE(196)] = 3363,
  [SMALL_STATE(197)] = 3376,
  [SMALL_STATE(198)] = 3389,
  [SMALL_STATE(199)] = 3396,
  [SMALL_STATE(200)] = 3409,
  [SMALL_STATE(201)] = 3422,
  [SMALL_STATE(202)] = 3435,
  [SMALL_STATE(203)] = 3442,
  [SMALL_STATE(204)] = 3451,
  [SMALL_STATE(205)] = 3458,
  [SMALL_STATE(206)] = 3467,
  [SMALL_STATE(207)] = 3474,
  [SMALL_STATE(208)] = 3483,
  [SMALL_STATE(209)] = 3496,
  [SMALL_STATE(210)] = 3505,
  [SMALL_STATE(211)] = 3516,
  [SMALL_STATE(212)] = 3525,
  [SMALL_STATE(213)] = 3538,
  [SMALL_STATE(214)] = 3551,
  [SMALL_STATE(215)] = 3564,
  [SMALL_STATE(216)] = 3577,
  [SMALL_STATE(217)] = 3584,
  [SMALL_STATE(218)] = 3593,
  [SMALL_STATE(219)] = 3599,
  [SMALL_STATE(220)] = 3605,
  [SMALL_STATE(221)] = 3615,
  [SMALL_STATE(222)] = 3625,
  [SMALL_STATE(223)] = 3635,
  [SMALL_STATE(224)] = 3643,
  [SMALL_STATE(225)] = 3653,
  [SMALL_STATE(226)] = 3663,
  [SMALL_STATE(227)] = 3673,
  [SMALL_STATE(228)] = 3683,
  [SMALL_STATE(229)] = 3693,
  [SMALL_STATE(230)] = 3703,
  [SMALL_STATE(231)] = 3709,
  [SMALL_STATE(232)] = 3719,
  [SMALL_STATE(233)] = 3729,
  [SMALL_STATE(234)] = 3739,
  [SMALL_STATE(235)] = 3749,
  [SMALL_STATE(236)] = 3759,
  [SMALL_STATE(237)] = 3767,
  [SMALL_STATE(238)] = 3777,
  [SMALL_STATE(239)] = 3785,
  [SMALL_STATE(240)] = 3795,
  [SMALL_STATE(241)] = 3801,
  [SMALL_STATE(242)] = 3807,
  [SMALL_STATE(243)] = 3817,
  [SMALL_STATE(244)] = 3827,
  [SMALL_STATE(245)] = 3837,
  [SMALL_STATE(246)] = 3845,
  [SMALL_STATE(247)] = 3853,
  [SMALL_STATE(248)] = 3863,
  [SMALL_STATE(249)] = 3873,
  [SMALL_STATE(250)] = 3879,
  [SMALL_STATE(251)] = 3889,
  [SMALL_STATE(252)] = 3899,
  [SMALL_STATE(253)] = 3909,
  [SMALL_STATE(254)] = 3915,
  [SMALL_STATE(255)] = 3925,
  [SMALL_STATE(256)] = 3931,
  [SMALL_STATE(257)] = 3941,
  [SMALL_STATE(258)] = 3947,
  [SMALL_STATE(259)] = 3957,
  [SMALL_STATE(260)] = 3967,
  [SMALL_STATE(261)] = 3977,
  [SMALL_STATE(262)] = 3987,
  [SMALL_STATE(263)] = 3997,
  [SMALL_STATE(264)] = 4007,
  [SMALL_STATE(265)] = 4017,
  [SMALL_STATE(266)] = 4027,
  [SMALL_STATE(267)] = 4035,
  [SMALL_STATE(268)] = 4041,
  [SMALL_STATE(269)] = 4051,
  [SMALL_STATE(270)] = 4061,
  [SMALL_STATE(271)] = 4067,
  [SMALL_STATE(272)] = 4075,
  [SMALL_STATE(273)] = 4085,
  [SMALL_STATE(274)] = 4095,
  [SMALL_STATE(275)] = 4105,
  [SMALL_STATE(276)] = 4115,
  [SMALL_STATE(277)] = 4120,
  [SMALL_STATE(278)] = 4127,
  [SMALL_STATE(279)] = 4134,
  [SMALL_STATE(280)] = 4139,
  [SMALL_STATE(281)] = 4144,
  [SMALL_STATE(282)] = 4149,
  [SMALL_STATE(283)] = 4154,
  [SMALL_STATE(284)] = 4161,
  [SMALL_STATE(285)] = 4166,
  [SMALL_STATE(286)] = 4173,
  [SMALL_STATE(287)] = 4178,
  [SMALL_STATE(288)] = 4185,
  [SMALL_STATE(289)] = 4192,
  [SMALL_STATE(290)] = 4199,
  [SMALL_STATE(291)] = 4204,
  [SMALL_STATE(292)] = 4209,
  [SMALL_STATE(293)] = 4214,
  [SMALL_STATE(294)] = 4219,
  [SMALL_STATE(295)] = 4224,
  [SMALL_STATE(296)] = 4229,
  [SMALL_STATE(297)] = 4234,
  [SMALL_STATE(298)] = 4239,
  [SMALL_STATE(299)] = 4246,
  [SMALL_STATE(300)] = 4253,
  [SMALL_STATE(301)] = 4258,
  [SMALL_STATE(302)] = 4263,
  [SMALL_STATE(303)] = 4270,
  [SMALL_STATE(304)] = 4275,
  [SMALL_STATE(305)] = 4282,
  [SMALL_STATE(306)] = 4289,
  [SMALL_STATE(307)] = 4294,
  [SMALL_STATE(308)] = 4299,
  [SMALL_STATE(309)] = 4306,
  [SMALL_STATE(310)] = 4313,
  [SMALL_STATE(311)] = 4318,
  [SMALL_STATE(312)] = 4323,
  [SMALL_STATE(313)] = 4328,
  [SMALL_STATE(314)] = 4335,
  [SMALL_STATE(315)] = 4340,
  [SMALL_STATE(316)] = 4347,
  [SMALL_STATE(317)] = 4352,
  [SMALL_STATE(318)] = 4359,
  [SMALL_STATE(319)] = 4364,
  [SMALL_STATE(320)] = 4369,
  [SMALL_STATE(321)] = 4374,
  [SMALL_STATE(322)] = 4379,
  [SMALL_STATE(323)] = 4386,
  [SMALL_STATE(324)] = 4393,
  [SMALL_STATE(325)] = 4398,
  [SMALL_STATE(326)] = 4403,
  [SMALL_STATE(327)] = 4408,
  [SMALL_STATE(328)] = 4413,
  [SMALL_STATE(329)] = 4420,
  [SMALL_STATE(330)] = 4425,
  [SMALL_STATE(331)] = 4432,
  [SMALL_STATE(332)] = 4439,
  [SMALL_STATE(333)] = 4444,
  [SMALL_STATE(334)] = 4449,
  [SMALL_STATE(335)] = 4456,
  [SMALL_STATE(336)] = 4463,
  [SMALL_STATE(337)] = 4470,
  [SMALL_STATE(338)] = 4477,
  [SMALL_STATE(339)] = 4484,
  [SMALL_STATE(340)] = 4489,
  [SMALL_STATE(341)] = 4494,
  [SMALL_STATE(342)] = 4501,
  [SMALL_STATE(343)] = 4508,
  [SMALL_STATE(344)] = 4513,
  [SMALL_STATE(345)] = 4520,
  [SMALL_STATE(346)] = 4527,
  [SMALL_STATE(347)] = 4534,
  [SMALL_STATE(348)] = 4539,
  [SMALL_STATE(349)] = 4544,
  [SMALL_STATE(350)] = 4549,
  [SMALL_STATE(351)] = 4556,
  [SMALL_STATE(352)] = 4561,
  [SMALL_STATE(353)] = 4566,
  [SMALL_STATE(354)] = 4573,
  [SMALL_STATE(355)] = 4578,
  [SMALL_STATE(356)] = 4583,
  [SMALL_STATE(357)] = 4588,
  [SMALL_STATE(358)] = 4593,
  [SMALL_STATE(359)] = 4598,
  [SMALL_STATE(360)] = 4605,
  [SMALL_STATE(361)] = 4610,
  [SMALL_STATE(362)] = 4615,
  [SMALL_STATE(363)] = 4620,
  [SMALL_STATE(364)] = 4625,
  [SMALL_STATE(365)] = 4632,
  [SMALL_STATE(366)] = 4637,
  [SMALL_STATE(367)] = 4644,
  [SMALL_STATE(368)] = 4649,
  [SMALL_STATE(369)] = 4654,
  [SMALL_STATE(370)] = 4661,
  [SMALL_STATE(371)] = 4668,
  [SMALL_STATE(372)] = 4675,
  [SMALL_STATE(373)] = 4682,
  [SMALL_STATE(374)] = 4689,
  [SMALL_STATE(375)] = 4694,
  [SMALL_STATE(376)] = 4701,
  [SMALL_STATE(377)] = 4706,
  [SMALL_STATE(378)] = 4710,
  [SMALL_STATE(379)] = 4714,
  [SMALL_STATE(380)] = 4718,
  [SMALL_STATE(381)] = 4722,
  [SMALL_STATE(382)] = 4726,
  [SMALL_STATE(383)] = 4730,
  [SMALL_STATE(384)] = 4734,
  [SMALL_STATE(385)] = 4738,
  [SMALL_STATE(386)] = 4742,
  [SMALL_STATE(387)] = 4746,
  [SMALL_STATE(388)] = 4750,
  [SMALL_STATE(389)] = 4754,
  [SMALL_STATE(390)] = 4758,
  [SMALL_STATE(391)] = 4762,
  [SMALL_STATE(392)] = 4766,
  [SMALL_STATE(393)] = 4770,
  [SMALL_STATE(394)] = 4774,
  [SMALL_STATE(395)] = 4778,
  [SMALL_STATE(396)] = 4782,
  [SMALL_STATE(397)] = 4786,
  [SMALL_STATE(398)] = 4790,
  [SMALL_STATE(399)] = 4794,
  [SMALL_STATE(400)] = 4798,
  [SMALL_STATE(401)] = 4802,
  [SMALL_STATE(402)] = 4806,
  [SMALL_STATE(403)] = 4810,
  [SMALL_STATE(404)] = 4814,
  [SMALL_STATE(405)] = 4818,
  [SMALL_STATE(406)] = 4822,
  [SMALL_STATE(407)] = 4826,
  [SMALL_STATE(408)] = 4830,
  [SMALL_STATE(409)] = 4834,
  [SMALL_STATE(410)] = 4838,
  [SMALL_STATE(411)] = 4842,
  [SMALL_STATE(412)] = 4846,
  [SMALL_STATE(413)] = 4850,
  [SMALL_STATE(414)] = 4854,
  [SMALL_STATE(415)] = 4858,
  [SMALL_STATE(416)] = 4862,
  [SMALL_STATE(417)] = 4866,
  [SMALL_STATE(418)] = 4870,
  [SMALL_STATE(419)] = 4874,
  [SMALL_STATE(420)] = 4878,
  [SMALL_STATE(421)] = 4882,
  [SMALL_STATE(422)] = 4886,
  [SMALL_STATE(423)] = 4890,
  [SMALL_STATE(424)] = 4894,
  [SMALL_STATE(425)] = 4898,
  [SMALL_STATE(426)] = 4902,
  [SMALL_STATE(427)] = 4906,
  [SMALL_STATE(428)] = 4910,
  [SMALL_STATE(429)] = 4914,
  [SMALL_STATE(430)] = 4918,
  [SMALL_STATE(431)] = 4922,
  [SMALL_STATE(432)] = 4926,
  [SMALL_STATE(433)] = 4930,
  [SMALL_STATE(434)] = 4934,
  [SMALL_STATE(435)] = 4938,
  [SMALL_STATE(436)] = 4942,
  [SMALL_STATE(437)] = 4946,
  [SMALL_STATE(438)] = 4950,
  [SMALL_STATE(439)] = 4954,
  [SMALL_STATE(440)] = 4958,
  [SMALL_STATE(441)] = 4962,
  [SMALL_STATE(442)] = 4966,
  [SMALL_STATE(443)] = 4970,
  [SMALL_STATE(444)] = 4974,
  [SMALL_STATE(445)] = 4978,
  [SMALL_STATE(446)] = 4982,
  [SMALL_STATE(447)] = 4986,
  [SMALL_STATE(448)] = 4990,
  [SMALL_STATE(449)] = 4994,
  [SMALL_STATE(450)] = 4998,
  [SMALL_STATE(451)] = 5002,
  [SMALL_STATE(452)] = 5006,
  [SMALL_STATE(453)] = 5010,
  [SMALL_STATE(454)] = 5014,
  [SMALL_STATE(455)] = 5018,
  [SMALL_STATE(456)] = 5022,
  [SMALL_STATE(457)] = 5026,
  [SMALL_STATE(458)] = 5030,
  [SMALL_STATE(459)] = 5034,
  [SMALL_STATE(460)] = 5038,
  [SMALL_STATE(461)] = 5042,
  [SMALL_STATE(462)] = 5046,
  [SMALL_STATE(463)] = 5050,
  [SMALL_STATE(464)] = 5054,
  [SMALL_STATE(465)] = 5058,
  [SMALL_STATE(466)] = 5062,
  [SMALL_STATE(467)] = 5066,
  [SMALL_STATE(468)] = 5070,
  [SMALL_STATE(469)] = 5074,
  [SMALL_STATE(470)] = 5078,
  [SMALL_STATE(471)] = 5082,
  [SMALL_STATE(472)] = 5086,
  [SMALL_STATE(473)] = 5090,
  [SMALL_STATE(474)] = 5094,
  [SMALL_STATE(475)] = 5098,
  [SMALL_STATE(476)] = 5102,
  [SMALL_STATE(477)] = 5106,
  [SMALL_STATE(478)] = 5110,
  [SMALL_STATE(479)] = 5114,
  [SMALL_STATE(480)] = 5118,
  [SMALL_STATE(481)] = 5122,
  [SMALL_STATE(482)] = 5126,
  [SMALL_STATE(483)] = 5130,
  [SMALL_STATE(484)] = 5134,
  [SMALL_STATE(485)] = 5138,
  [SMALL_STATE(486)] = 5142,
  [SMALL_STATE(487)] = 5146,
  [SMALL_STATE(488)] = 5150,
  [SMALL_STATE(489)] = 5154,
  [SMALL_STATE(490)] = 5158,
  [SMALL_STATE(491)] = 5162,
  [SMALL_STATE(492)] = 5166,
  [SMALL_STATE(493)] = 5170,
  [SMALL_STATE(494)] = 5174,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [31] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 1, 0, 0),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [35] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(441),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [46] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(378),
  [55] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [58] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [60] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [62] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [64] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [66] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [70] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [72] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [74] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [76] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(475),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(162),
  [84] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0),
  [86] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(21),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(314),
  [92] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [94] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [96] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [98] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 1, 0, 0),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(25),
  [138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cp, 1, 0, 0),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 2, 0, 0),
  [160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(486),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(32),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(487),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(488),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(489),
  [177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(33),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(492),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEReference, 3, 0, 0),
  [196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 0),
  [198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 0),
  [200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 2),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 3, 0, 0),
  [228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 3, 0, 0),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, 0, 3),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, 0, 2),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_PseudoAttValue_repeat2, 2, 0, 0),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_PseudoAttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(45),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PseudoAttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(477),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PseudoAttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(478),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_PseudoAttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(479),
  [252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_PseudoAttValue_repeat1, 2, 0, 0),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_PseudoAttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PseudoAttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_PseudoAttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_PseudoAttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 3, 0, 0),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDSect, 2, 0, 0),
  [272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CDSect, 2, 0, 0),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 4, 0, 0),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 4, 0, 0),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 4, 0, 3),
  [286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 4, 0, 0),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityRef, 3, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EntityRef, 3, 0, 0),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CharRef, 3, 0, 0),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CharRef, 3, 0, 0),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDSect, 3, 0, 0),
  [298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CDSect, 3, 0, 0),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 5, 0, 0),
  [304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 5, 0, 0),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 3, 0, 0),
  [316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 1),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 4, 0, 0),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 5, 0, 0),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 6, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 7, 0, 0),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PI, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PI, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 3, 0, 0),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 3, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 4, 0, 0),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 4, 0, 0),
  [356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ETag, 3, 0, 0),
  [358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ETag, 3, 0, 0),
  [360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PI, 5, 0, 0),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PI, 5, 0, 0),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 5, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 5, 0, 0),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ETag, 4, 0, 0),
  [370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ETag, 4, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Reference, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__Reference, 1, 0, 0),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 3, 0, 0),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 3, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 4, 0, 0),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 4, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 4, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 4, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2, 0, 0), SHIFT_REPEAT(98),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2, 0, 0),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2, 0, 0), SHIFT_REPEAT(282),
  [464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 3, 0, 0),
  [466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 3, 0, 0),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 5, 0, 0),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 5, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 5, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 5, 0, 0),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PEReference, 3, 0, 0),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 6, 0, 0),
  [494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 6, 0, 0),
  [496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 4, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 4, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cp, 2, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 3, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 4, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 5, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 5, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2, 0, 0),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0),
  [528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 7, 0, 0),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 7, 0, 0),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__intSubset, 3, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_children, 1, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2, 0, 0),
  [554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2, 0, 0), SHIFT_REPEAT(481),
  [557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2, 0, 0), SHIFT_REPEAT(283),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 10, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 10, 0, 0),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2, 0, 0),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2, 0, 0), SHIFT_REPEAT(242),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 11, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 11, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 12, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 12, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 6, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 6, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EmptyElemTag_repeat1, 2, 0, 0),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EmptyElemTag_repeat1, 2, 0, 0), SHIFT_REPEAT(373),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 2, 0, 0),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 2, 0, 0), SHIFT_REPEAT(481),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 3, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 4, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2, 0, 0),
  [680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 1, 0, 0),
  [685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 1, 0, 0), SHIFT_REPEAT(204),
  [688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 8, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 8, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 5, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 5, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 9, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 9, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 7, 0, 0),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 7, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ExternalID, 5, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Attribute, 3, 0, 0),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 4, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_StyleSheetPI_repeat1, 2, 0, 0),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_StyleSheetPI_repeat1, 2, 0, 0), SHIFT_REPEAT(341),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 5, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 1, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttValue, 2, 0, 0),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SystemLiteral, 3, 0, 0),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 6, 0, 0),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 1, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 3, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 4, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 2, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ExternalID, 3, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttValue, 3, 0, 4),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 3, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__VersionInfo, 6, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 5, 0, 0),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 7, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 3, 0, 0),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2, 0, 0), SHIFT(27),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_DefaultDecl, 1, 0, 0),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttDef, 6, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEDecl, 10, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NDataDecl, 4, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationDecl, 7, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAttValue, 2, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 4, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elementdecl, 8, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityValue, 2, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StringType, 1, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 7, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAttValue, 3, 0, 4),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 5, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__markupdecl, 1, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EntityDecl, 1, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__AttType, 1, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_DefaultDecl, 3, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 8, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 6, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttDef, 4, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 7, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PubidLiteral, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 6, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 7, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 8, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 9, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PublicID, 3, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationDecl, 8, 0, 0),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEDecl, 9, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 9, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityValue, 3, 0, 4),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__SDDecl, 6, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EncodingDecl, 6, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contentspec, 1, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDStart, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAtt, 3, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elementdecl, 7, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_children, 2, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 3, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 8, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 6, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EnumeratedType, 1, 0, 0),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1097] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_PITarget = 0,
  ts_external_token__pi_content = 1,
  ts_external_token_Comment = 2,
  ts_external_token_CharData = 3,
  ts_external_token_CData = 4,
  ts_external_token_xml_DASHmodel = 5,
  ts_external_token_xml_DASHstylesheet = 6,
  ts_external_token__start_tag_name = 7,
  ts_external_token__end_tag_name = 8,
  ts_external_token__erroneous_end_name = 9,
  ts_external_token_SLASH_GT = 10,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_PITarget] = sym_PITarget,
  [ts_external_token__pi_content] = sym__pi_content,
  [ts_external_token_Comment] = sym_Comment,
  [ts_external_token_CharData] = sym_CharData,
  [ts_external_token_CData] = sym_CData,
  [ts_external_token_xml_DASHmodel] = anon_sym_xml_DASHmodel,
  [ts_external_token_xml_DASHstylesheet] = anon_sym_xml_DASHstylesheet,
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token__erroneous_end_name] = sym__erroneous_end_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_PITarget] = true,
    [ts_external_token__pi_content] = true,
    [ts_external_token_Comment] = true,
    [ts_external_token_CharData] = true,
    [ts_external_token_CData] = true,
    [ts_external_token_xml_DASHmodel] = true,
    [ts_external_token_xml_DASHstylesheet] = true,
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token__erroneous_end_name] = true,
    [ts_external_token_SLASH_GT] = true,
  },
  [2] = {
    [ts_external_token_Comment] = true,
  },
  [3] = {
    [ts_external_token_Comment] = true,
    [ts_external_token_CharData] = true,
  },
  [4] = {
    [ts_external_token_PITarget] = true,
    [ts_external_token_xml_DASHmodel] = true,
    [ts_external_token_xml_DASHstylesheet] = true,
  },
  [5] = {
    [ts_external_token_SLASH_GT] = true,
  },
  [6] = {
    [ts_external_token_CData] = true,
  },
  [7] = {
    [ts_external_token__start_tag_name] = true,
  },
  [8] = {
    [ts_external_token_PITarget] = true,
  },
  [9] = {
    [ts_external_token__end_tag_name] = true,
  },
  [10] = {
    [ts_external_token__pi_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_xml_external_scanner_create(void);
void tree_sitter_xml_external_scanner_destroy(void *);
bool tree_sitter_xml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_xml_external_scanner_serialize(void *, char *);
void tree_sitter_xml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_xml(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_Name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_xml_external_scanner_create,
      tree_sitter_xml_external_scanner_destroy,
      tree_sitter_xml_external_scanner_scan,
      tree_sitter_xml_external_scanner_serialize,
      tree_sitter_xml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
